Presentation

The easiest way to create your own professional and original CDs without any developing environment.

Being efficient with CD Magic Launcher PRO ©

__________________________________________

CD Magic Launcher & CD Magic Launcher PRO are registered trademarks of DynaData S.A.

All information contained in this manual may be subject to modification without prior notification. Unless stated otherwise, all names of corporations and enterprises are fictitious. This manual or any part of it may not be reproduced, transmitted or copied in any form, electronically, mechanically or otherwise, without the prior written permission of DynaData S.A.

© 1999 DynaData S.A. All rights reserved..

Microsoft, MS-DOS, MS-Windows, Windows 95, Windows98, Millennium, Windows NT and Internet Explorer are registered trademarks of Microsoft Corporation.


Summary

CD MAGIC LAUNCHER

CD Magic Launcher : How does it work ?

The CDML file structure

The CD Magic Launcher project

The Autorun.exe module

Compatibility

The Working space area

The pages

The d ecors

The b uttons

The hot zones

The t ooltips

The animations

The animated icons

The grids

The color palettes

The pick color window

The Image properties window

The font manager

The font style

The Searching... resource file window

The Search... files window

The commands

The workspace

The workspace contextual menus

The edition pages view

The page contextual menu

The grid submenu

The edition mode submenu

The region type submenu

The align objects submenu

The make same size submenu

The order objects submenu

The insert object submenu

The page properties submenu

The toolbars

The toolbar context

The standard toolbar

The edition mode toolbar

The object toolbar

The region toolbar

The alignment tooblBar

The menu bar

The status bar

The project

The project creation

To open a project

To save a project

To save a project with a new name

To export a project

The project verification

The project properties

The project directories

The windows platform configuration

The project edition

The p ages

The page creation

The page test

The page deletion

The page properties

The regions

The region creation

The region appearance

The region duplication

The region deletion

The region properties

The graphic objects

The graphic object creation

The graphic object duplication

The graphic object deletion

The g eometric shapes

The geometric shape p roperties

The texts

The g raphic text properties

The l egend text properties

The pictures

The buttons

The button creation

The button duplication

The button modification

The button deletion

The b utton properties

The d efault image properties

The f ly over image properties

The p ush down image properties

The button l egend

The button e ffects

The tooltips

The tooltip creation

The tooltip duplication

The tooltip modification

The tooltip properties

The tooltip image

The tooltip legend

The clipboard

The clipboard of pages

The clipboard of objects

The selection

The object moving

The object duplication

The object modification

The object deletion

Copying selected objects to the clipboard

Cutting selected objects

The themes

The page layout of a theme

The page background of a theme

The geometric shapes of a theme

The pictures of a theme

The text legend of a theme

The text color of a theme

The button images of a theme

The button legend of a theme

The button effects of a theme

The tooltip legend of a theme

The tooltip image of a theme

The regions of a theme

The regions

The region order window

The deafult properties customization

The user directories

Customizing the interface

Customizing commands

Customizing toolbars

Customizing menus

Customizing options


How does it work?

CD Magic Launcher : How does it work ?

When you put your CD-ROM into a computer running under a Microsoft Operating System such as Windows 95, 98, NT 3.51, NT 4.0, Me, 2000 or XP, the computer will read the autorun.inf file which is placed at CD-ROM root. Among many other information, this file contains information for the Operating System about how the CD will be launched (e.g. visualizing a HTM file, executing a program, etc.).

CD Magic Launcher uses procedure and generates next files to be placed at the root of the CD-ROM :

  • An autorun.inf file

  • A program named Autorun.exe

  • A *.CML project file

    •

    The autorun.inf file created by CD Magic Launcher contains definitions of :

  • The icon that the file manager uses for showing the CD-ROM unit

  • The label that the file manager uses to identify the CD-ROM unit

  • The name of the program the Operating System will run (always Autorun.exe )

  • The name of the CD Magic Launcher project (*.CML file) which will be opened by the Autorun.exe program

    •

    The Autorun.exe program is an owner program supplied by CD Magic Launcher whose all behavior is fully determined by the *.CML file.

    • The "Auto Insert Notification" has to be activated in the computer in order to run the Autorun.exe program automatically when the CD-ROM is put into the CD reader.


The CDML file structure

A CD Magic Launcher project is a set of resource files referenced by a project file.

A project file name has the same name as the project and the CML extension (eg. MyProject.CML).

A CD Magic Launcher project organization is based on a main directory (the project directory name) which contains the CML project and for subdirectories which contain files referenced by the project :

Directory | Contents
CDROM Root | Autorun.exe, Autorun.inf
Cursors | Files CUR
Pictures | Files ANI, BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF et EMF
Sounds | Files WAV, MID, MP3 et RMI
Texts | Files TXT

The project directory name has no importance even if it is created having the project name. The only constraint is to have always the four subdirectories that contain the project resources.

CD Magic Launcher Resource Files

Any resource file associated to a project (e.g. a button image) is referred to by the project by its relative name (e.g. Pictures\MyImage.bmp).

User Files

A CD Magic Launcher project may also refer to user files making the contents of the CD-ROM (e.g. the text viewing a product copyright). In Edition Mode, CD Magic Launcher maintains the complete name of user files.

The user file long names are translates to relative names by exporting CD Magic Launcher project through the Export command of the Project menu.

The system file names referenced by the action R un a system program (eg. winver.exe) are referenced as short names. That allows running always the local version of the target computer.

An exported CD Magic Launcher project (ready to be recorded on a CD) is organized around the main directory which contains the CML project file.

The main directory contents must be at the root of the recorded CD-ROM. All 4 subdirectories containing the integrated resource files of the project and all other user subdirectories will be relative to root CD-ROM.

Directory | Contents
CDROM Root | Autorun.exe, Autorun.inf
Cursors | Files CUR
Pictures | Files ANI, BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF et EMF
Sounds | Files WAV, MID, MP3 et RMI
Texts | Files TXT
UserFiles | User files (CD Contents)


The CD Magic Launcher project

A CD Magic Launcher project is made up of named pages.

The Autorun.exe, program always starts by showing the first project page. Other pages can be shown by one of 3 explicit actions:

  • Previous Page

  • Next Page

  • Go To a Page

The page order is then important for Previous Page and Next Page actions.

See also : The button effects


Autorun

The Autorun.exe Module

The Autorun.exe module is royalty free software used to run the projects made with CD Magic Launcher Editor. Its behavior is determined by the *.CML project file which is generated by CD Magic Launcher. An autorun.inf file situated at the root of the CD-ROM supplies all necessary information to the Operating System about how the CD-ROM must be launched.

Powered by CD Magic Launcher, the introduction of a CD-ROM in a Personal Computer (PC) will execute the Autorun.exe module automatically the first page of a CDML project. Then the user can navigate to other pages by using Button Actions or Hot Zones.

On Autorun.exe module Buttons may be either activated or inactivated. A Button is activating whenever the mouse cursor flies over inside its bounding box. Only one button can be activated at once.

When a Page is initially shown, no one button is active. The first button may be activated either with the mouse or by one of the 4 arrows keys: left arrow, right arrow, top arrow or bottom arrow.

The right and bottom arrow keys deactivate the current Button or Hot Zone in order to activate the next one accordingly the order shown by the Button Order Window. The left and top arrow keys deactivate the current Button or Hot Zone and activate the preceding one. The activation order is cyclical, i.e. the last button will be followed by the first one and so on.

The SPACE and ENTER keys will launch the action associated to the active button.

The Autorun.exe program will execute as long as some page associated to the project is shown. The destruction of the current page will stop the execution of Autorun.exe.

The Autorun.exe program stops its execution by the Button Exit action or by activation of the ESC key.

  • The option "Auto Insert Notification" has to be activated in order to get the program automatically started whenever one inserts the CD-ROM in the computer.

The Autorun.exe program execution can be limited deliberately to some or even only one single operating system through the Project Properties window. Operating Systems supported by Autorun.exe are Microsoft Windows 95, 98, NT 3.51, NT 4.0, Me, 2000 and XP.

If a user tries to insert a CD-ROM into not authorized Operating Systems, CD Magic Launcher shows an error message to indicate this restriction.

The not compatibility message may be customized. The default message matches the Operating System language (English or French). On other Operating Systems languages, the message is shown in English.

See also : CD Magic Launcher : how does it work


The Send

The Send... command

The Send… command of the File menu allows you to send your project by Email in ZIP format.

This command creates a new Email containing your project in ZIP format as enclosure.


Compatibility

CD Magic Launcher holds 2 modules : CD Magic Launcher Editor and Autorun.exe.

The CD Magic Launcher Editor is compatible with next 32 bits Microsoft Operating System: Windows 98, Me, NT 4.0, 2000 and XP.

The Autorun.exe module is compatible with all Personal Computers (PC) having a 32 bits Microsoft Operating System: Windows 95, 98, NT 3.51, NT 4.0, Me, 2000 and XP.

Module | Windows 95 | Windows 98 | Windows Me | Windows NT 3.51 | Windows NT 4.0 | Windows 2000 | Windows XP
CD Magic Launcher |  | ü | ü |  | ü | ü | ü
Autorun.exe | ü | ü | ü | ü | ü | ü | ü

To read audio files (MID, MP3 and RMI) the CODEC module is necessary. That module isn't always installed in all Operating Systems Windows 95/98.

If the CODEC module isn't installed on a computer, the (MID, MP3 and RMI) sound files will be ignored.

The CODEC module can be installed by Internet Explorer 5.0 (or higher) or Windows Media Player 6.4 (or higher).

CD Magic Launcher Editor

If the Operating System Windows 98 doesn't have the CODEC module installed, the sound files MID, MP3 and RMI will be ignored.

The minimal hardware requirements to create a CDML project with CD Magic Launcher are :

  • PC Compatible with a Pentium 166 Mhz or equivalent
  • SVGA Monitor
  • A Sound Card
  • 64 Mb of RAM
  • 30 Mb available hard-disk space

The Autorun.exe Module

The Autorun.exe module is compatible with all Personal Computers (PC) having a 32 bits Microsoft Operating System : Windows 95, 98, NT 3.51, NT 4.0, Me, 2000 and XP. Nevertheless, the Autorun.exe module can present some limitations when it's running under next environments :

Operating System | Limitation | Importance | Solution
Windows 95/98 | Doesn't show the pages in Layered mode (smooth transition effects). The pages will be shown always in mode immediate (normal). | Not critical. | None
 | The module CODEC doesn't play the sound files MID, MP3 or RMI. | Not critical. Even if the Windows 95/98 platforms have been validate into the windows platform configuration and the target computer doesn't have the CODEC module installed, the sound MID, MP3 and RMI will be simply ignored. | Do not use sounds of type MID, MP3 or RMI if Windows 95/98 platforms have been validate and you aren't sure that all targeted computers have the CODEC module installed.

  • CD Magic Launcher needs the CODEC module to play sounds of type MID, MP3 and RMI. Under Windows 95/98 platforms you must be sure that CODEC module is installed to be able to play that sounds. The CODEC module can be installed by Internet Explorer 5.0 (or higher) or Windows Media Player 6.4 (or higher).


The Working space area

The CD Magic Launcher working space area is based on a model with multiple windows and projects.

Each page is edited into a separately window. A project has a set of windows (project views).

All windows can all be arranged, moved, resized or minimized in order to optimize available working space area.

ToolBars may be customized in order to get the Working Space arranged in traditional or cool look style.

The working space area is made up of :

  • One Workspace with the tree arborescence

  • Multiple The edition pages view

  • Multiple ToolBars

  • One Status Bar

    •


The pages

A Page is a customized multimedia window that allows interact with the computer.

The Shape of Pages

The shape of a page may be either of standard type (Typical Mode with a traditional window with caption and border) or customized (Region Mode).

A page in Typical Mode is always rectangular and may contain a title bar, minimize and maximize buttons and a border. It may be resizable as well.

A page in Region Mode may present any form and may even be composed of several disjointed areas. The shape of a page in Region Mode will be given by the composition of Regions (geometrical forms e.g. rectangles, circles, ellipses or polygons). A page in Region Mode is not resizable.

It is also possible to create polygonal Regions by color propagation over the background image. The command Outer Color Polygon creates a polygon that contains all the pixels of a color. The Inner Color Polygons create polygons that contain all the pixels of another color, inside the polygon that contains all the pixels of a color.
Tools for generating polygons by color propagation over the background image

A page is made up of:

a) | A name
b) | A starting sound
c) | A showing mode
d) | A background color gradient
e) | A background image
f) | A set of decors (images, texts and geometrical shapes)
g) | A default cursor
h) | A set of Buttons
i) | A set of ToolTips attached to Buttons
j) | A set of Hot Zones
k) | A set of Animations
l) | A set of Animated Icons
m) | An ending sound

The Page Name

A page has always an unique name. There are no limits upon the composition or length of a page name. The page name is assigned when creating the page and can be modified any time on the Project Tree.

The page name is shown in the Layout page properties tab of the Page properties window.

The Starting Sound

When opening a page, a sound file (WAV, MID, MP3 and RMI) can be played. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.

The Layout page properties tab of the Page properties window allows assigning and hearing starting sounds of a page.

The Showing Mode

A page can be shown either in standard mode (immediate mode) or in layered mode.

The layered mode selects smooth transition effects when showing the page. Initially, the page will be perfectly transparent to become gradually, an opaque image. Even if CD Magic Launcher supports this mode on all MS-Windows 32 bit versions, it is strongly recommended not to show in smooth mode large images on old machines (less than 166 MHz) or machines equipped with old MS-Windows versions.

It's possible to define the Edition Mode style of a page with the Show page properties tab of the Page properties window.

The Background Color

The background color of a page can be obtained by color gradient. Color gradient has one starting point color and one target color. Gradient is either linear or circular. In both cases it is possible to define the starting point. For linear propagation it's possible to define the axis along which color will be propagated (angle).

Background with circular color propagation.

The Background page properties allows defining the gradient colors.

The Background Image

The background image of a page may be a black & white or color image of 16, 256, 65000 colors or in true 24 bit colors.

CD Magic Launcher accepts the next image formats: BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF.

  • A bitmap may be a black & white or a color image. Every image is either in 16, 256, 65000 or in true 24 bit colors. However, it is strongly recommended to use true color images in order to get better screen results. If the background image of the page has a color palette, all images added to the page must be true color or must have the same color palette.

The Background page properties allows defining the background image.

The Decors

Decors are used for decorating the background of a page. They are superposed on the background image and they are Pictures, Texts or Geometric shapes .

The Cursor

A cursor file (CUR) can be assigned to a page as default cursor. Except when flying over buttons (or Hot Zones), the default cursor will be used to show the mouse position.

The Layout page properties tab of the Page properties window allows assigning and showing page cursors.

Buttons

Buttons allows performing actions by clicking with the mouse.

All parameters of a button can be set by using the Button properties window.

ToolTips

ToolTips are images and legends associated to buttons and are used for additional user information and animation.

All parameters of a ToolTip can be set by using the ToolTip parameters window.

Animations

Animations are geometrical paths that defines motions for Pictures and Animated Icons.

All parameters of an Animation can be set by using the Animation parameters window.

Animated Icons

Animated Icons (ANI files) are multi frame icon files that changes along the time.

All parameters of an Animated Icon can be set by using the Animated Icon parameters window.

Ending Sound

When leaving a page, a sound file (WAV, MID, MP3 and RMI) can be played. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.

The Layout page properties tab of the Page properties window allows assigning and hearing ending sounds of a page.

  • A page with Standard Style can be moved only by its title bar.

  • A page with Region S tyle can be moved by all visible areas and it isn't resizable.

  • An End Sound in asynchronous mode isn't played.


The decors

A page may be more attractive by using decors which are placed onto the background image.

Decors on CD magic Launcher may be of two types:

  • Geometric shapes such as rectangles, rounded rectangles, ellipses, circles and polygons.

  • Texts

  • Pictures (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF files).

Geometri c shapes are made up of a border color, they are filled up by color gradient, may be transparent for a background color and may have a translucency degree.

It's possible to generate polygons by propagating a color over the background image. All parameters for Geometric shapes can be set by using the Geometric shape properties .

Texts are made up of a legend, a font style, an angle, a border, a transparency color and a translucency degree.

Pictures may be in black & white or in color and can be either in 16, 256, 65000 colors or in true 24 bits colors. However, it is strongly recommended to use only true color images to obtain better display quality.

Pictures may have a border color, a transparency color and a translucency degree.

The Picture properties window allows defining all picture parameters.

  • If an image with a Color palette have been used as background image, all pictures added to this page must use the same Color palette.


The buttons

Buttons are elements which do actions by clicking on them.

A button is made up of :

1) | A customized name
2) | A fly over sound
3) | A cursor shown when the mouse fly over the button
4) | Three positions matching three different views (Default, Fly Over and Push Down)
5) | Three images
6) | A legend
7) | An action among 11 available (Browse the CD; Run a program; Execute an Animation; Execute an Animated Icon; Run a system program; Show a file or URL; Visit a web site; Go to previous page; Go to next page; Go to a named page and Exit),
8) | An action sound.

The Name

A button can have a customized (unique) name. That name will distinguish that object from other objects.

Fly Over Sound

When the cursor flies over a button, a sound file (WAV, MID, MP3 and RMI) may be performed. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.

The Button effects tab of the Button properties window allows assigning and hearing fly over sounds to a button.

Cursor of the Button

A button can have a fly over cursor (CUR). The cursor will be activated when the mouse fly over the button.

The Button effects tab of the Button properties window allows assigning and viewing fly over cursor to a button.

The 3 Positions of a Button

A button disposes of three different positions: Default, Flo Over and Push Down.

  • The Default position presents the button in its rest position.

  • The Fly Over position gets activate when the cursor moves over the button.

  • The Push Down position gets active if the user clicks on the button.

    •

    All positions may have different visual aspects. The buttons legend is unique but its aspect may change according to the button position.

    The 3 Images of a Button

    A button disposes of three different images (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) associated to the three different positions.

    • A bitmap may be a black & white or a color image. Every image is either in 16, 256, 65000 or in true 24 bit colors. However, it is strongly recommended to use true color images in order to get better screen results. If the background image of the page has a color palette, all button images added to the page must be true color or must have the same color palette.

    The default image of a button may have customized border color, transparency and translucency degree.

    The button size can be defined at the default position of a button only. The transparency color of Default Image defines the transparency color for all three images

    The 3 images for buttons may be fully defined through the Button properties window of a button.
    • A button with no image, no border nor legend associated, will represent as a dotted rectangle.

    The Legend of a Button

    A button can have a fixed static text legend, or a dynamical text legend. Fixed text legends are typed by users. Dynamic text legends are obtained by referring to a TXT text file.

    Dynamic text legends are useful for buttons where legends update themselves automatically every time the contents of the referenced text file change.

    A text legend may have fully defined style (e.g. bold, italic, underlined or opaque, background color and translucency degree).

    • The text background color is used only if the font is opaque. The text background color of opaque fonts will completely fills up the button bounding box and the image will be completely hidden.

    • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.

    The Button Legend has an angle and a position relative to the upper left corner of the button bounding box.

    It's possible to assign a legend color to each button position.

    Button Legends can be fully defined by using the Button legend tab of the Button properties window.

    Button Actions

    It's possible to associate an action among 11 actions available :

    1) | Browse the CD-ROM. This will show the file manager with the CD-ROM root as default directory.
2) | Run a program. Execute a program.
3) | Execute an Animation. Execute an animation of Pictures or Animated Icons.
4) | Execute an Animated Icon. Execute an ANI file.
5) | Run a system program. Starts running a Operating System program.
6) | Execute the program attached to a file or URL. Shows the file or URL together with its associated application.
7) | Visit a WEB site. Runs the default WEB navigator and shows the given web page.
8) | Go to next page. Deletes the current page and shows the next page as defined in the page order.
9) | Go to previous page. Deletes the current page and shows the previous page as defined in the page order.
10) | Go to a given page. Deletes the current page and shows a page.
11) | Exit. This command stops the execution of the Autorun.exe program.

    Actions will be executed when the user clicks on a button or by the key ENTER or SPACE when a button is over flown.

    The action to be undertaken by each button is defined in the Button effects tab of the Button properties window.

    Action Sound

    A button can play a sound when an action will be done. The sound file (WAV, MP3, MID and RMI) will be played before the action is started by the button. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.

    The Button effects tab of the Button properties window allows assigning and hearing action sounds to a button.

    • Buttons without associated images nor legends behave like a ho t zone.


The hot zones

Hot Zones are rectangular transparent areas which do actions, performing sounds or modifying the aspect of the cursor if it flies over its surface.

  • Hot Zones are Buttons without images, border or legend.

A Hot Zone is made up of :

1) | A fly over sound
2) | A cursor shown when the mouse fly over the zone
3) | An action among 11 available (Browse the CD; Run a program; Execute an Animation; Execute an Animated Icon; Run a system program; Show a file or URL; Visit a web site; Go to previous page; Go to next page; Go to a named page and Exit),
4) | An action sound.

  • In order to get ensured a Button will behave like a Hot Zone (it will remain invisible under execution), one has to check for each three button positions (Default, Fly Over and Push Down) that legends, images or borders are not defined.

Fly Over Sound

When the cursor flies over a Hot Zone, a sound file (WAV, MID, MP3 and RMI) may be performed. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.

The Button effects tab of the Button properties window allows assigning and hearing fly over sounds to a Hot Zone.

Cursor of the Hot Zone

A Hot Zone can have a fly over cursor (CUR). The cursor will be activated when the mouse fly over the Hot Zone.

The Button effects tab of the Button properties window allows assigning and viewing fly over cursor to a Hot Zone.

Hot Zone Actions

It's possible to associate an action among 11 actions available :

1) | Browse the CD-ROM. This will show the file manager with the CD-ROM root as default directory.
2) | Run a program. Execute a program.
3) | Execute an Animation. Execute an animation of Pictures or Animated Icons.
4) | Execute an Animated Icon. Execute an ANI file.
5) | Run a system program. Starts running a Operating System program.
6) | Execute the program attached to a file or URL. Shows the file or URL together with its associated application.
7) | Visit a WEB site. Runs the default WEB navigator and shows the given web page.
8) | Go to next page. Deletes the current page and shows the next page as defined in the page order.
9) | Go to previous page. Deletes the current page and shows the previous page as defined in the page order.
10) | Go to a given page. Deletes the current page and shows a page.
11) | Exit. This command stops the execution of the Autorun.exe program.

Actions will be executed when the user clicks on a Hot Zone or by the key ENTER or SPACE when a Hot Zone is over flown.

The action to be undertaken by each Hot Zone is defined in the Button effects tab of the Button properties window.

Action Sound

A Hot Zone can play a sound when an action will be done. The sound file (WAV, MP3, MID and RMI) will be played before the action is started by the Hot Zone. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.

The Button effects tab of the Button properties window allows assigning and hearing action sounds to a Hot Zone.


The tooltips

ToolTips are images associated to a button that may give additional information about it.

A ToolTip is made up of :

1) | A customized name
2) | A bitmap image
3) | A legend

The Name

A Tooltip can have a customized (unique) name. That name will distinguish that object from other objects.

ToolTip Images

A Tooltip may contain a black & white or a color image with 16, 256, 65000 colors or in true 24 bit colors. CD Magic Launcher accepts the next image formats: BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF.

  • An image may be a black & white or a color image. Every image is either in 16, 256, 65000 or in true 24 bit colors. However, it is strongly recommended to use true color images in order to get better screen results. If the background image of the page has a color palette, all ToolTip images added to the page must be true color or must have the same color palette.

ToolTip images may have a personalized border, transparency color or translucency degree.

The Tooltip image properties tab of the Tooltip properties window defines all ToolTip image parameters.

ToolTip Legends

A ToolTip can have a fixed static text legend, or a dynamical text legend. Fixed text legends are typed by users. Dynamic text legends are obtained by referring to a TXT text file.

Dynamic text legends are useful for ToolTips where legends update themselves automatically every time the contents of the referenced text file change.

A legend may have fully defined style (e.g. bold, italic, underlined or opaque, background color and translucency degree).

  • The text background color is used only if the font is opaque. The text background color of opaque fonts will completely fills up the ToolTip bounding box and the image will be completely hidden.

  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.

The ToolTip Legend has an angle and a position relative to the upper left corner of the ToolTip bounding box.

The ToolTip legend tab of the ToolTip properties window defines all ToolTip legends parameters.


The Decors

The Animations

An animation is a geometrical segmented curve that defines motions for Pictures and Animated Icons.

An Animation can be executed automatically when the page is created or manually through actions by Buttons, Hot Zones, Animated Icons or by another Animation.

An Animation can be executed only once or on repeat mode.

An Animation can execute, at the end of its execution, an action among 11 actions available.

An Animation is composed by several intervals and each interval can have an image or an Animated Icon attached to it. It's also possible to define an execution time to each interval.

At the end, if the Animation isn't recyclable, an Animation can reset the animated objects to their original position and/or stop the last sound attached.

See also : The Animations properties


Les Décors

The Animated Icons

The animated Icons (ANI files) are multi frame icon files that slide along the time.

An Animated Icon can be executed automatically when the page is created or manually through actions by Buttons, Hot Zones, Animations or by another Animated Icons.

An Animated Icon can be executed only once or on repeat mode.

An Animated Icon can execute, at the end of its execution, an action among 11 actions available.

An Animated Icon can play a sound (WAV, MID, MP3 and RMI) while its execution.

At the end, if the Animated Icon isn't recyclable, it can be hidden and/or stop to play the sound attached.

See also : The Animated Icon properties


The grids

Grids are geometrical filters used for guide-lining the movements of the mouse.

Grids are made up of :

  • A spacing distance along the X-axis,

  • A spacing distance along the Y-axis,

  • A starting point used for propagating the grid,

  • A view color,

  • An unique name used to identify the grid.

    •

    Grids may be selected and created by using the Grid window.

    There exist 4 default grids, always available and which can't be modified :

  • Small (5, 5)

  • Medium (10, 10)

  • Large (20, 20)

  • Extra Large (40, 40)

    •

    Commands to show, activate and create grids are :

    Selecting a grid
    Showing the selected grid
    Activate selected grid

    Only the selected grid can be activated. Viewing a grid doesn't mean the grid is automatically activated.
    • Grids may be activated and not visible or vice versa.

    Three predefined buttons may modify the behavior of grids :

    W | Suspends temporarily the active grid
X | Forces the cursor to move in one of the eight directions that were defined when creating a polygon.
G | Renders temporarily the selected grid activated

    When a polygon is created (region or decor), the X button forces the cursor in one of the eight following directions. This will happen even if the active grid should be rectangular.


The color palettes

CD Magic Launcher deals with all well known 5 bitmap formats:

1) | Monochrome (1 bit)
2) | 16 colors (4 bits)
3) | 256 colors (8 bits)
4) | 65536 colors (16 bits)
5) | True colors (24 and 32 bits)

The 16, 256 and 65536 color images are structured as color index tables with color indexes pointing to the real color table. The real color table is known as color palette.

A Color Palette is a table with a limited number of colors but which each might be employed several times in the bitmap image.

A bitmap image employing a Color Palette

Images which refer to a color palette take less space of memory than a true color bitmap image. However, it isn't possible to mix two images bitmaps using different types of color palettes.

A True color bitmap image

True color image bitmap take more memory space because colors are directly stocked in a data table. On the other hand, a true color image bitmap have no mixing images problems.

  • If the background image of page has a color palette, all others images added to the page must be true color or have the same color palette.
  • CD Magic Launcher can deal with all type of images; however, it is strongly recommended to employ only true color images for better screen results.


The Pick color window

Pixel : | Shows position and color of the pixel picked up
File : | Shows the name of the image file
Size : | Shows the image size in pixels
Color: | Shows the image type : Monochrome (1 bit), 16 colors (4 bits), 256 colors (8 bits), 65536 colors (16 bits) or true colors (24 and 32 bits).
Picks up a color from the image.


The image properties window

This window shows images with its main characteristics :

Stretch image : | Allows showing the whole image.
File : | Shows the image file name.
Size : | Shows the image size in pixels
Color : | Shows the image type, i.e. monochrome (1 bits), 16 colors (4 bits), 256 colors (8 bits), 65536 colors (16 bits) or true colors (24 andt 32 bits).


The font manager

Under MS-Windows© environments font sets are defined by a number of attributes defining their visual layout.

The Font style window allows selecting a font type with its main characteristics.

The font manager will always select a font available that most closely resembles the requested font.

Programs will run perfectly well if a computer has the request font type. However, if the font type shouldn't exist, the Font Manager will yield the closest resembling font type available in order to ensure the better results.

CD Magic Launcher doesn't supply font types by itself and will not copy the font types employed into CML projects. In order to preserve on all target computers the same visual layout, it is strongly recommended to employ only standard font types.
  • To be sure that CD Magic Launcher style will be the same on any computer, the user should use only standard font types.

See also : The font style


The font style

Under MS-Windows© environments fonts are defined by a number of attributes which determine their visual layout. Main characteristics of fonts are :

  • Name (e.g. Arial)
  • Size (e.g. 12 points)
  • Style, i.e. Standard, Italic, Bold, or Bold Italic
  • Strikeout style
  • Underline style
  • Opaque style
    •

    The Fonts window allows to define a font with its main characteristics :

    See also : The font manager


The Searching... resource file window

The Animated Icon file search window

This window searches for Animated Icons resource files (ANI).

The resource list may be sorted by the active column (Name, Extension, File Size, Record Time and Pictures).

Name : | Shows the file name found.
Extension : | File extension (ANI)
File Size : | File size in bytes
Record Time : | File length in milliseconds.
Pictures : | Frames inside the ANi file.
Show resource : | Allows playing the Animated Icons as they are found.
Stop Searching : | Interrupts searching process.
OK | Confirms the selected resource.
Cancel | Cancels searching process. No resources will be selected

The image file search window

This window searches for image resource files (ANI, BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF).

The resource list may be sorted by the active column (Name, Extension, File Size and Colors).

Name : | Shows the file name found.
Extension : | File extension (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF)
File Size : | File size in bytes
Colors : | Image color number : monochrome (1 bits), 16 colors (4 bits), 256 colors (8 bits), 65536 colors (16 bits) or 16777216 (24 andt 32 bits).
Show resource : | Allows showing images as they are found
Stretch Image : | Allows viewing whole resources.
Stop Searching : | Interrupts searching process.
OK | Confirms the selected resource.
Cancel | Cancels searching process. No resources will be selected

The sound file search window

This window searches for sound resource files (WAV, MID, MP3 and RMI).

The resource list may be sorted by the active column (Name, Extension, File Size and Record Time).

Name : | Allows to list found resources.
Extension : | File extension (WAV, MID, MP3 and RMI)
File Size : | File size in bytes
Record Time : | Record time in hours:minutes:second:milliseconds
Show resource : | Allows playing the sounds as they are found
Stop Searching : | Interrupts searching process.
OK | Confirms the selected resource.
Cancel | Cancels searching process. No resources will be selected

The cursor file search window

This window searches for cursor resource files (CUR).

The resource list may be sorted by the active column (Name, Extension and File Size).

Name : | Shows the file name found.
Extension : | File extension (CUR)
File Size : | File size in bytes
Show resource : | Allows showing the cursors as they are found
Stop Searching : | Interrupts searching process.
OK | Confirms the selected resource.
Cancel | Cancels searching process. No resources will be selected

The text file search window

This window searches for text resource files (TXT).

The resource list may be sorted by the active column (Name, Extension and File Size).

Name : | Shows the file name found.
Extension : | File extension (TXT)
File Size : | File size in bytes
Show resource : | Allows showing the texts as they are found
Stop Searching : | Interrupts searching process.
OK | Confirms the selected resource.
Cancel | Cancels searching process. No resources will be selected

The icon file search window

This window searches for icons resource files (ICO).

The resource list may be sorted by the active column (Name, Extension and File Size).

Name : | Shows the file name found.
Extension : | File extension (ICO)
File Size : | File size in bytes
Show resource : | Allows showing the icons as they are found
Stop Searching : | Interrupts searching process.
OK | Confirms the selected resource.
Cancel | Cancels searching process. No resources will be selected


The Search.... files window

This window searches for files on a computer.

Find Files : | Keyboarding area to define the name of the files to be found. Jokers * may be used for replacing a name or part of a name or extension (e.g. *.txt; tes*.ex*)
Find into : | Keyboarding area to define the root directory from which the search will stared.
Search ... : | Starts searching process.
Stop Searching : | Interrupts searching process.
OK | Confirms the selected resource.
Cancel | Cancels searching process. No file will be selected.


The workspace

All projects are presented in a project window called Workspace. Every project is shown on a tab having the project name.

All projects are represented by a tree arborescence having the project name as root and the pages as leafs. All pages are shown in the order in which they will be presented by Autorun.exe.

A page opened for edition is marked with a red arrow.

Creates a new page at the end of the list.
Deletes the selected page.
Moves the selected page upwards.
Moves the selected page downwards.
Tab representing the project. Allows selecting the active project. A double click will show the Project properties window.
  • Drag and drop a page in the workspace will modify the page order. If drag and drop is executed while keeping the CTRL button pressed down, a new page with a new name will be created.
  • Pages also can be suppressed by using the DEL key of the keyboard.
  • The DEL key acts on the window that has the focus. Then, in order to delete a page from the workspace, the projects window should have the focus. Otherwise, the command will delete all selected objects into the activate page.
  • It isn't possible to delete a project from the Workspace.

See also : Working space area , Workspace and contextual menus


The workspace contextual menus

The Project Shows the Project properties window.
Run the Autorun.exe program starting at first page.
Exports the image project in order to write a CD-ROM.
Close the project.
The Pages Run the Autorun.exe program starting at selected page.
Copy to clipboard the selected page.
Insert a page from the clipboard at the insertion position.
Deletes the selected page.
Shows the P age properties window.


The edition pages view

All pages are edited as a view within the working space area. Every view has as title the name of the project followed by the name of the page. It is possible to edit at the same time pages of several projects. Closing all pages of a project doesn't imply closing the project itself.

One edits Page properties by double-clicking on the view of a page.

Minimized pages show the projects icon.

See also : Working space area , The page context menu , The grid submenu , The edition mode submenu , The region type submenu , The object alignment submenu , The size attribution submenu , The object order submenu , The object insertion submenu , The properties submenu


The page contextual menu

The Page Context menu resumes the most used commands for page editing :

Cancels the current command and activates the object selection based upon the current selection mode
Test the page (runs the Autorun.exe program)
Shows the grid submenu
Shows the edition mode submenu
Shows the type of region submenu
Shows the align objects submenu
Shows the make same size submenu
Shows the order objects submenu
Shows the insert objects submenu
Cuts a selected object and copy it to the clipboard
Copy the select object to the clipboard
Paste the clipboard contents
Deletes selected objects
Lock Objects
Unlock All Objects
Shows properties submenu

See also : The edition pages view


The grid submenu

Shows the Grid window for setting grid parameters.
Activates the grid attraction.
S hows or hides the grid .

See also : The edition pages view


The edition mode submenu

Switch to region edition mode
Switch to decor edition mode
Switch to button edition mode
Switch to ToolTip edition mode
Switch to Animation edition mode
Switch to Animated Icon edition mode

See also : The edition pages view


The region type submenu

Assign positive type to selected region
Assign negative type to selected region

See also : The edition page view


The align objects submenu

Align left command aligns all selected objects at the left side of the dominant object.
Align right command aligns all selected objects at the right side of the dominant object.
Align top command aligns all selected objects at the top of the dominant object.
Align bottom command aligns all selected objects at the bottom of the dominant object.

See also : The edition pages view


The make same size submenu

Assign all selected objects the same width as the dominant object
Assign all selected objects the same height as the dominant object
Assign all selected objects the same size as the dominant object

See also : The edition pages view


The order objects submenu

Top most command puts the selected objects at the foreground.
Bottom most command puts the selected objects at the background.
Top command puts the selected objects one level to foreground.
Bottom command puts the selected objects one level to background.
Edit region and button order command shows the window which allows modifying the order of regions and buttons.

See also : The edition page view


The insert object submenu

Show the regions submenu
Show the decors submenu
Create a button object
Create a ToolTip object
Create an Animation
Create An Animated Icon

See also : The edition page view


The page properties submenu

Shows the object properties window
Shows the page properties window

See also : The edition page view


The toolbars

CD Magic Launcher has 5 toolbars :

  • Standard toolbar

  • Edition mode toolbar

  • Objects toolbar

  • Alignement toolbar

  • Menu toolbar

  • Region toolbar

    •

    They can be shown or hidden through the Customize window show up by the Customize… command of the ToolBar… submenu of the View menu :

    The visibility of toolbars can also be changed by using the contextual menu of toolbars.

    The Contextual Menu of ToolBars

    Shows or hides the Standard ToolBar
    Shows or hides the Régions ToolBar
    Shows or hides the Objects ToolBar
    Shows or hides the Edition Mode ToolBar
    Shows or hides the Align ToolBar
    Shows or hides the Workspace
    Shows or hides the Customize interface window


The standard toolbar

The Standard ToolBar presents all project commands :

New project
Open an existing project
Saving a project
Export a project
Check a project
Creating a new page
View a page
Delete a Page
Cuts the select object and moves it to the clipboard
Copy the select object to the clipboard
Paste the clipboard contents
Delete object
Show properties of a selected object
Undo
Redo
View workspace
Showing the software presentation
Help online

See also : The toolbars


The edition mode toolbar

The Edition Mode toolbar shows all commands to switch from one Edition Mode to another :

Select edition mode
Region edition mode
decor edition moder
Button edition mode
ToolTip edition mode
Animation edition mode
Animated Icon edition mode
View region edition mode
View decor edition mode
View button edition mode
View ToolTip edition mode
View Animation edition mode
View animated Icon edition mode

See also : The ToolBars


The objects toolbar

The Object ToolBar shows all the commands necessary for creating, modifying and deleting objects (Geometric Shapes, Pictures, Texts, Buttons, Hot Zones, ToolTips) that make up a page.

Create rectangles
Create rounded rectangles
Create ellipse
Create circles This command creates circles with given center and radius.
Create circles with the 3 points
Create polygons
Create outer polygon by color propagation . This command allows determining the biggest possible polygon which contains some given color.
Create inner polygons by color propagation. This command allows determining all polygons that enclose pixels of another color inside the biggest polygon containing some given color.
Create texts
Create pictures
Create buttons
Create tooltips
Create Animations
Create Animated Icons

See also : The toolbars


The alignment toolbar

The Alignment ToolBar shows the commands that allow modifying the position between objects.

Left alignment command aligns all selected objects to the left side of the dominant object
Right alignment command aligns all selected objects to the right side of the dominant object
Top alignment command aligns all selected objects at the top of the dominant object
Bottom alignment command aligns all selected objects at the bottom of the dominant object
Assign same width command assigns all selected objects the same width of the dominant object
Assign same height command assigns all selected objects the same height of the dominant object
Assign same size command assigns all selected objects the size of the dominant object
Top most command puts all selected objects at the foreground
Bottom most command puts all selected objects at the background
Top command advances all selected objects one step to the foreground
Bottom command advances all selected objects one step to the background
Modify order of objects and regions command shows the window that allows to modify the order of regions and buttons.
Shows the Grid window for setting grid parameters.
Shows or hides the grid
Activates the grid attraction

See also : The toolbars


The menu bar

The Menu Bar presents the main menu of CD Magic Launcher.

See also : The toolbars


The status bar

The Status Bar displays help on line for each command as well as information about the object under the cursor (object type, object position and object size), the state of the keyboard and the current time.

The Status Bar displays :

  • A description of the object under the mouse

  • The position of the object

  • The size of the object

  • The state of CAPS LOCK key (CAP is CAPS LOCK key is activated)

  • The state of NUM LOCK key (NUM is numeric keypad is activated)

  • The current time

    •

    See also : The toolbars


The project edition

Commands used for projects :

New project command
Open a project command
Save a project command
Save as command
Export a project command
Check a project command
By double clicking opens Project properties window


The project creation

Creating a new project is possible only with the New… command of the File menu or through the Standard toolbar.
New Project command

Name : Defines the project name. The project name determines also the name of the subdirectory in which it will be registered. The name of the subdirectory can be changed later.
Icon : Defines the icon file name of the project. If no icon is defined, the CD Magic Launcher icon will be used.
Project : Defines the project directory. CD Magic Launcher always proposes to put new projects into the default project subdirectory. T he default project subdirectory may be changed by the C ustomize... command of the Option menu.
Pictures : Indicates the default pictures subdirectory used for user image files (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF). The default pictures subdirectory may be changed by the C ustomize... command of the Option menu.
Sounds : Indicates the default sounds directory used for user sound files (WAV, MID, MP3 and RMI). The default sounds subdirectory may be changed by the C ustomize... command of the Option menu.
Texts : Indicates the default text directory used for user text files (TXT). The default texts subdirectory may be changed by the C ustomize... command of the Option menu.
Cursors : Indicates the default cursors directory used for user cursor files (CUR). The default cursors subdirectory may be changed by the C ustomize... command of the Option menu.

Shows the Search for Files window.
Searches for files on the computer.
Project icon.

The creation of a new project generates automatically the creation of a new page for this project. The default name for the page is 'New Page' followed by the page number.

A new page is created with all default attribute values. The Page properties Command allows modifying the page layout.


To open a project

Opening a project can be done with the Open… command of the File menu or through the Standard toolbar.

It is also possible to open a project by double clicking on the name o an existing project CD Magic Launcher (*.CML) in the file manager.
Open a Project command


To save a project

Saving a project may be done with Save command of the File menu or through the Standard toolbar.

Saving a Project command

  • A project will be saved automatically every time the user test a project (launching Autorun.exe ).

See also : The test of a page, The workspace contextual menus


To save a project with a new name

A project can be saved under a different name by using the Saving as… command of the File menu.


To export a project

A project may be exported by using the Export… command of the Project menu. This will prepares the project for being written on a CD-ROM.
Export a Project command
  • A project has to be exported before it can be written on a CD-ROM.

A project may be exported by using the Create CD Image window.

A CD image is made up of :

 All resource files that need Autorun.exe program to run on the computer. These files are image files (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF), icon files (ICO), sound files (WAV, MID, MP3 and RMI), cursor files (CUR) and text files (TXT). CD Magic Launcher copies these files automatically in the respective Pictures, Cursors, Sounds and Texts subdirectories.
All files referred to by actions of buttons and hot zones ( Run a program and Show a file or URL ) actions. The first case deals about files with an EXE extension which will be executed when clicking on a button. The second case deals about files which can be opened by the software program associated to its file type.

The contents of the CD. I.e. all files and directories the user has integrated to the CD. A CD Magic Launcher project may also refer to user files on the CD-ROM (e.g. A text may show a user notice inside the CD-ROM.

  • Files referred to by the button action Run a system program (programs of the operating system) will not be copied on the CD-ROM.

The CD image which will be burned on the CD-ROM,must be created using the Creating CD Image window.

This will be achieved in three steps :

1) | Create the CD Image directory. The CD image will be created in some especially assigned target directory. In addition, a subdirectory which groups all the CD component and which bears the same name as the project, will be automatically created by CD Magic Launcher.
2) | Copy User contents. All files and directories from the desktop composing the CD-ROM contents will be integrated into the project. This process integrates automatically all those files of the CD contents which are referred to by CD Magic Launcher project.
3) | Copy CD Magic Launcher resources. CD Magic Launcher will integrate all External Files (e.g. bitmap images of buttons, sounds, etc...)

In step 2, files referred to by the CD Magic Launcher project and making up the CD contents, e.g. a text decor object which shows the user notice for some software program, will be automatically integrated on the CD.

All files referred to by CD Magic Launcher and which would remain in the list after step 2, have to be integrated to the CD image. This may be done either by drag and drop, or by using the arrow buttons.

A double click on the Export button will copy all files, directories and subdirectories into the destination directory, an exception being made for executable files referred to by the button Run a system program which they are not copied.

A copy of the files and subdirectories from the desktop list to the CD Image list may be made either by :

  1. Drag and drop files and directories from Folders list to the list of files and directories of CD Image, or by

  2. Copying the files and directories from Folders list to the CD Image list by using the arrow buttons.

A copy of the files from the Extern Files to the CD Image list may be made either by :

  1. Drag and drop files from Extern Files list to the list of files and directories of CD Image, or by

  2. Copying the files from Extern Files list to the CD Image list by using the arrow buttons.

Files and subdirectories may be deleted from the CD Image list by :

  1. Drag & Drop files and directories from CD Image list to Folders list. Drag & dropping is limited only to elements providing from the Folders list.

  2. Returning files and directories to Folders list by using the arrow left button situated in between the Folders and CD Image lists.

  3. Drag & drop files from CD Image list to Extern Files list. Drag & drop is limited only to elements providing from Extern Files list.

  4. Returning files to Extern Files list by using the arrow right button situated in between the CD Image and the Extern Files lists.

  5. Invoke the delete command by pressing the DELETE key over CD Image list selected items. This command returns all files to their respective Extern Files and desktop Folders lists.

A user can add directories to the CD Image list. The added directories can be renamed.

Drag & drop allows modifying the organization of files and directories inside the CD Image list.

  • It is impossible to modify (rename, delete or alter) the Cursors, Pictures, Sounds and Texts subdirectories or their original contents.

Destination directory : Defines the destination directory of the project. This directory will contain the image of the CD which will be written. A subdirectory with the same name as the project will be created automatically.
Folders : Shows all the folders of the user (workstation). By drag & drop or by using the arrow buttons, the user may integrate into the project, all files, subdirectories or files in subdirectories that will be written into the CD-ROM. An external file (listed in the Extern Files list) integrated to the CD-ROM as a user file (from the Folders list) is automatically suppressed from the Extern Files list.
CD Image : Shows the contents of the future CD-ROM.
External Files : Lists files referred to by the project and which have to be integrated in the CD-ROM image. The user may integrate them, either by drag & drop, or by using the arrow buttons.
Size of CD Image : Shows the size of the CD-ROM with all its elements.
Selects the project folder which will be used for exporting the project.
Moves files and directories.
Moves files and directories.
  • In order to avoid redundant files, it is recommended to start by integrating first all the user files (phase 1) before integrating files which are part of the CD Magic Launcher project (phase 2).


The project verification

The Project Verification command allows verifying project integrity. This command allows the user to check if all referenced files exist in the project subdirectories.

Verify Project Integrity command of a project

While creating or modifying a project, it's possible to check if each resource is well referenced.

The file resources that are verified are :

Text files (TXT) | Texts Associated to Texts, Buttons, ToolTips, and the Show file or URL action.
I mage files (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) | Images associated to Page backgrounds, Pictures, Button images, ToolTip images and the Show file or URL action.
I con files (ICO) | Icons associated to projects.
C ursor files (CUR) | Cursors which are referenced to by Pages and Buttons.
Sound files (WAV, MID, MP3 and RMI) | Sound files associated to creation or Page destruction; effects associated to Buttons and the Show file or URL action.
E xecutable files (EXE) | Executables associated to R un a Program action.
Other files | Any file associated to Run a Program or Show a file or URL actions.

When a project is checked, is a reference is broken, CD Magic launcher proposes to correct the link.

Message sent whenever a broken link is detected:

If verification is successful, a window will advise the user:

  • Exporting a project also verify the integrity of a project


The project properties

The Project Properties window may be shown either by using the Properties… command of the Project Menu, or by double-clicking on the project tab.

The Project Properties window is made of two tabs grouping all the project properties:

  • Project directories

  • Windows platform configuration
    • A double click on the tab of the project shows the Project Properties window.


The project directories

The Project tab allows defining the project icon and the user resource directories.

The project icon is showed when the Autorun.exe is iconic.

Each time the user request for a resource (images, sounds, texts or cursors) CD Magic Launcher opens the Search for File window placed into the corresponding resource directory.

The user may predefine 5 default directories. These default directories are used for projects, images and icons, sounds, texts and cursors.

If a default directory should not have been predefined, CD Magic Launcher will open the current directory (the last visited directory) instead.
Name : Shows the name of the project (can't be modified)
Icon : Allows define the name of the file containing the icon of the project. If no icon is predefined, the CD Magic Launcher icon will be used.
Project : Shows the name of the directory which will contains all new projects.
Images : Shows the name of the directory which contains image files (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) of the project.
Sounds : Shows the name of the directory which contains sound files (WAV, MID, MP3 and RMI) of the project.
Texts : Shows the name of the directory which contains text files (TXT) of the project.
Cursors : Shows the name of the directory which contains cursor (CUR) files of the project.
Shows the Search for Files window.
Searches for files on the computer.
The project icon.

See also : The project properties


The windows platform configuration

The Windows Platform Configuration tab allows defining the Microsoft Windows operating systems compatibles with the CD Magic Launcher project.

If one should try to run the CD Magic Launcher project or recorded CD-ROM on other platforms, an error message with an notice warning about not compatibility will be displayed:

Example of a message for a computer running under Windows XP and which is not authorized to execute Autorun.exe with the present project.
  • Autorun.exe is compatible with all MS-Windows 32 bits platforms. However, the user may freely limit its execution to subset platforms.

Windows 95 : Allows define if the Autorun.exe program to run under MS-Windows 95.
Windows 98 : Allows define if the Autorun.exe program to run under MS-Windows 98.
Windows Me : Allows define if the Autorun.exe program to run under MS-Windows Millennium.
Windows NT 3.51 : Allows define if the Autorun.exe program to run under MS-Windows NT 3.51.
Windows NT 4.0 : Allows define if the Autorun.exe program to run under MS-Windows NT 4.0.
Windows 2000 : Allows define if the Autorun.exe program to run under MS-Windows 2000.
Windows XP : Allows define if the Autorun.exe program to run under MS-Windows XP.
Show Default Message : Shows the default restriction message.
Customized message Area : Defines a customized message which will replace the default message.

See also : The project properties


The edition modes

In order to facilitate the treatment of different objects (Graphic object, Buttons, ToolsTips and Regios), it is possible to switch between 4 edition modes.

Region Edition mode
Decor Edition mode
Button Edition mode
ToolTip Edition mode

The Select Mode command cancels all current commands and puts the selection cursor into the current edition mode.

Selection Mode

Objects as Rectangles, Rounded Rectangles, Ellipses, Circles and Polygons are of type Geometric shape or Region.
  • It's possible to limit the type of object shown on the Page. The Edition mode toolbar allows restricting visibility.


The page edition

A Page is a customized multimedia window that allows interact with the computer.

Available commands for page edition are:

The page creation Command
The test page Command
The page deletion Command
The page properties Command


The page creation

A new page can be created either by using :

  • The Add command of the Page menu.

  • The Add button of the Standard toolbar

  • The copy and paste commands on the project tree of an already existing page

  • The drag and drop commands with the CTRL button pressed down.

    •
    The Add Page command

    Any page created with the A dd command of the Page menu, inherits all the characteristics of the current Theme.

    A theme is a set of parameters defining a project style. A page created by copying another page inherits all the characteristics of the original page.


The page test

While creating a page, it's possible to visualize its layout and test its behavior. When testing a page, it's possible to test all other pages also.

This icon indicates the Test Page command.
  • A project will be saved automatically when a page is tested (launching Autorun.exe by the Test page… command of the Page context menu; or by the Test command of the Project menu or by activating the F5 key).


The page deletion

A page can be deleted by using the Delete command of the Page menu or by pressing the DELETE key on the project tree. Deleting a page doesn't delete already referenced resource files. Deleting a referenced page by another page doesn't delete its references.

The Delete Page command.

  • The DEL key acts on the window that has the focus. Then, in order to delete a page from the workspace, the projects workspace should have the focus. Otherwise, the command will delete all selected objects into the activate page.


The page properties

The Page Properties window can be shown either by using the Properties… command of the Page Menu, or by double-clicking on a page background.

The Page Properties window is made up of three tabs :

  • The layout page properties

  • The background page properties

    •


The region edition

Regions are geometrical objects intended to modify the form of a page.

Under region edition mode the user may create :

Rectangular Regions
Rounded Rectangular Regions
Elliptic Regions
Circular Regions
Polygon Regions

See also : The region creation, The region appearance , The region duplication , The region deletion, The region properties


The region creation

Under Region Edition Mode the user may create :

Rectangular Regions
Rounded Rectangular Regions
Elliptic Regions
Circular Regions
Polygon Regions

Simple regions such as rectangles, rounded rectangles, ellipses, circles or polygons, are created in the same way as decors.

It's possible to create polygonal regions that contains all the pixels of a color from the background image or that contains all the pixels of another color, inside the polygon that contains all the pixels of a color from the background image.

The Outer polygon command allows creating polygons that contains all the pixels of a color from the background image.
The creation Polygon by color propagation command

The Outer polygon command allows finding the biggest possible polygon containing some given color.

The creation inner polygons by color propagation command.

The Inner polygon command allows finding all polygons containing pixels of other colors inside the biggest polygon containing some given color.

In both case a Propagation Filter can modify the behavior of the command:

Isotropic : Allows to modify simultaneously all three colors.

Red : Defines the quantity of red color used for the tolerance color.
Green : Defines the quantity of green color used for the tolerance color.
Bleu : Defines the quantity of bleu color used for the tolerance color.
Reference : Shows the reference color of the starting point for the color propagation.
Polygons Object Size : Shows the number of polygons found. Maximum allowed is 20. If more polygons should be found, the user has to restrict filter conditions.
Points : Shows the total number of points in all found polygons. There is no upper limit for the number of points but if too many points should be found, it will slow down execution speed on some computers.

See also : The region edition


The regions appearance

The Regions are showed separately. The Test page command allows to see the definitive page layout.

View of regions in edit mode Definitive Region after region combination

Regions may be either positive or negative. Positive Regions will added portions of page, negative Regions will suppres portions of page.

A Region is created with the current type. After creation it's possible to change the Region type.

Assigns positive type to a region.
Assigns negative type to a region.

Properties of a Region may be changed by using the Region properties window that can be activated either, by double-clicking on the target region or, by using the Object properties… command of the Edit menu.


The region duplication

A Region can be copied by :

  • Making an implicit copy. Move selected Regions by keeping the MAJ key pressed down

  • Using the clipboard. Copy the Region to the clipboard then paste it into the page.

    • See also : The region edition


The object deletion

Selected objects are deleted by using the Delete Selected Objects command or by using the DELETE key on the active page.

Deletes all selected objects

See also : The selection


The region properties

Region Properties may be changed by using the Region properties window that can be activated either, by double-clicking on the target region or, by using the S hape properties… command of the Edit menu.

The Shape Properties... command

Name : Customizable region name.
Border Color : Defines the border color used for all regions of that type (positive or negative)
Border : Defines the region border for all regions of that type (positive or negative)
Corner Radius : Allows defining the corner radius in pixels for all regions of the rounded angle of that type (positive or negative)
Background color : Defines the background color employed for regions of that type (positive or negative)
Translucent : Defines translucency factor for a region. Range goes from 0% for total opacity up to 100% for total transparency. JPEG image files with higher compression level don't work well with transparency color.
Shows the Color Choice window.
  • It isn't possible to create Regions in a Typical Style page (see Page properties ).
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See also : The region edition


The graphic object edition

A page may be made more attractive by using Decors (rectangles, rounded rectangles, ellipses, circles, polygons, texts and pictures) which are placed onto the background image.

The objects which can be created in graphic object mode are :

Rectangles
Rounded Rectangles
Ellipses
Circles
Polygons
Texts
Pictures

See also : The graphic object creation, The graphic Object duplication , The graphic object deletion, The graphic object properties


The graphic object creation

A page may be made more attractive by using decors which are placed onto the background image.

The objects which can be created in Graphic Object mode are :

Rectangles
Rounded Rectangles
Ellipses
Circles
Polygons
Texts
Pictures

See also : The graphic mode edition


The graphic object duplication

All decors (Geometric Shapes, Texts and Pictures) can be copied by:

  • Making an implicit copy. Move selected decors by keeping the MAJ key pressed down

  • Using the clipboard. Copy the decor to the clipboard then paste it into the page.

    • See also : The graphic moede edition


The geometric shapes

Geometric Shapes such as rectangles, ellipses, circles or polygons are made up of a border color; they are filled up by color gradient, may be transparent for a background color and may have a translucency degree.

Color gradient is defined by two colors.

Rectangles, rounded rectangles, and ellipses are created by drawing a rectangle (bounding box of the shape).

A circle is created by fixing its center first, and then by drawing some point of the circle itself.

To create circles by the 3 points, the user just must have to indicate 3 points of the circle.

To create a polygon the user must indicate the n corner points of the polygon.

While creating manually a Geometric Shape, the ESC key deletes the last registered point.

While creating manually, a polygon in finished (closed) either by

  • Double-clicking on the left button of the mouse

  • By pressing the ENTER key of the keyboard.

    •

    The Outer polygon command allows creating polygons that contains all the pixels of a color from the background image.

    The creation Polygon by color propagation command

    Polygons generated by the Outer polygon command may be Geometric Shapes or Regions depending upon the current edition mode.

    Defining tolerance colors may extend color propagation. The Propagation Filter window will be open when computing the polygon.

    Isotropic : Allows to modify simultaneously all three colors.

    Red : Defines the quantity of red color used for the tolerance color.
    Green : Defines the quantity of green color used for the tolerance color.
    Bleu : Defines the quantity of bleu color used for the tolerance color.
    Reference : Shows the reference color of the starting point for the color propagation.
    Polygons Object Size : Shows the number of polygons found. Maximum allowed is 20. If more polygons should be found, the user has to restrict filter conditions.
    Points : Shows the total number of points in all found polygons. There is no upper limit for the number of points but if too many points should be found, it will slow down execution speed on some computers.

    The Inner polygons command allows creating all polygons that contain all the pixels of another color, inside the polygon that contains all the pixels of a color from the background image.

    The creation inner polygons by color propagation command.

    Polygons generated by the Inner polygons command may be Geometric Shapes or Regions depending upon the current edition mode.

    Isotropic : Allows to modify simultaneously all three colors.

    Red : Defines the quantity of red color used for the tolerance color.
    Green : Defines the quantity of green color used for the tolerance color.
    Bleu : Defines the quantity of bleu color used for the tolerance color.
    Reference : Shows the reference color of the starting point for the color propagation.
    Polygons Object Size : Shows the number of polygons found. Maximum allowed is 20. If more polygons should be found, the user has to restrict filter conditions.
    Points : Shows the total number of points in all found polygons. There is no upper limit for the number of points but if too many points should be found, it will slow down execution speed on some computers.

    See also : The decor edition


The geometric shape properties

Geometric Shapes such as rectangles, ellipses, circles or polygons are made up of a border, transparency color and translucency degree and are filled up by color gradient.

Geometric Shapes objects are created with the attributes as they are predefined by the selected theme.

Geometric Shape Properties may be set with the Geometric Shape Properties window. This window is activated either by double-clicking on the Geometric Shape, or by using the Shape properties… command of the Edit Menu.

The command Shape Properties... of the Edit Menu.

Name : Customizable object name
Border Color : Allows setting the border color.
Border : Allows to define a border with customized border color.
Corner Radius : Allows to define the corner radius in pixels, for rectangles with rounded corners.
Translucent : Defines translucency factor for the shape. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined by using the Color Choice window, or by picking up a color from the background image with the Pick color window. JPEG image files with higher compression level don't work well with transparency color.
Background Color 1: First color for color gradient.
Background Color 2: Second color for color gradient.
Quality : Sets the number of intermediate steps used for color gradient. Higher is this number, better is the color gradient, but this may significantly slow down the Autorun.exe.
Linear Color Propagation : Selects color propagation following a line.
Circular Color Propagation : Selects color propagation following a circle.
First Color Position : Defines the starting point position for color propagation as percent of the Geometric Shape bounding box size.
Light : Defines the first color luminosity.
Angle : Defines the angle propagation.
Preview : Shows color results. Allows also defining the starting point position.
 | Shows the Color Choice window.
 | Picks a color from the background image.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See also : The geometric shapes


The text edition

Text properties may be setting by using the Text Properties window.

This window is made up of two tabs grouping all the text properties:

  • Graphic

  • Legend


The graphic text properties

The Graphic tab allows you to define entirely the layout of a Text.

Name : Customizable object name.
Border Color : Allows setting the border color.
Border : Allows to define a border with customized border color.
Corner Radius : Deactivated for this tab.
Translucent : Defines translucency factor for texts. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined by using the Color Choice window, or by picking up a color from the background image with the Pick color window. JPEG image files with higher compression level don't work well with transparency color.
Background Color 1: First color for color gradient.
Background Color 2: Second color for color gradient.
Quality : Sets the number of intermediate steps used for color gradient. Higher is this number, better is the color gradient, but this may significantly slow down the Autorun.exe.
Linear Color Propagation : Selects color propagation following a line.
Circular Color Propagation : Selects color propagation following a circle.
First Color Position : Defines the starting point position for color propagation as percent of the Text bounding box size.
Light : Defines the first color luminosity.
Angle : Defines the angle propagation.
Preview : Shows color results. Allows also defining the starting point position.
 | Shows the Color Choice window.
 | Picks a color from the background image.
  • Text may be created immediately by using the Create Text Decor command. This command sets edition mode to Decor Edition Mode.
  • Translucency and color degradation apply only to texts and not to text background.
  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See also : Text decor properties


The legend text properties

The Text Legend tab allows you to define entirely the Text's legend layout.

Load text file : Defines the text file (TXT) referred to.
Save text file reference : Allows saving the text file name unlike its contents. If the file name is saved, the contents will be updated when the file changes. If the file content is saved, the legend will behave like a static legend.
Text Edition area : Shows the legend. If a text comes from a text file (TXT), any change in the text will suppress automatically the reference to the file and the legend will become static.
Angle : Defines the angle under which texts are shown.
Position : Defines the text position relative to the upper left corner of the Text bounding box.
Background Color : Defines the text background color. The background color can be used only with opaque fonts and it fill up completely the Text bounding box, even if the legend itself doesn't fill up the Text bounding box completely.
Text Font : Shows the name of the selected font type. The font type may be selected in the Font style window.
Text Style : Shows the font style, e.g. standard, italic, bold or bold italic. Font style may be defined in the Font style window.
Text Size : Shows the font size. Font size may be defined in the Font style window.
Text Underlined : Shows the underline style. Underline style of fonts may be defined in the Font style window.
Text Strikeout : Shows the strikeout style. Strikeout style may be defined in the Font style window.
Text Opaque : Shows the background style. Opacity may be defined in the Font style window. The background color fills up completely the Text bounding box whenever the font is opaque.
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice system window
 | Shows the Font style window

  • The text background color is used only if the font is opaque. The text background color of opaque fonts will completely fill up the Text bounding box.

  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.

See also : Text decor properties


The pictures edition

Pictures are made up of a border, a transparency color and a translucency degree.

Picture properties may be viewed and modified with the Image Properties window. This window is activated either by double-clicking on the picture, or by using the Shape properties… command of the Edit Menu.

The command Shape Properties... of the Edit Menu.

Image : Defines the image file (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) used by the Picture.
Name : Customizable object name.
Border : Allows to define a border with customized border color.
Translucent : Defines translucency factor for the image. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined either by the top-left color of the image, or by some other arbitrary color by using the Color Choice window, or by picking up a color with the Pick color window. JPEG image files with higher compression level don't work well with transparency color.
Image Properties : Shows the name of the associated image file, size and the number of colors.
Fit to Image : Makes the Picture resize to fit the image.
 | Shows the image
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice window.
 | Picks a color from the associated image.
  • Eventually, a Picture may be created directly by pasting an image from the clipboard.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.
    •


The button edition

Buttons are elements of a page which allow getting some action performed.

A button is made up of :

1) | A name
2) | A fly over sound
3) | A cursor shown when the mouse fly over the button
4) | Three positions matching three different views (Default, Fly Over and Push Down)
5) | Three images
6) | A legend
7) | An action among 11 available (Browse the CD; Run a program; Execute an Animation; Execute an Animated Icon; Run a system program; Show a file or URL; Visit a web site; Go to previous page; Go to next page; Go to a named page and Exit),
8) | An action sound.

See also : The Button creation, The Button duplication, The Button modification, The Button deletion, The Button properties


The button creation

A button can be created with the Buttons command of the Insert menu.

Create Button command

To create a button the user draws a rectangle (bounding box of the Button).

All attributes of the Button created, are those defined by the selected Theme . The Button can be customized through the Button properties window.

See also : The button edition


The button duplication

Buttons can be copied either by :

  • Making an implicit copy. Move selected Buttons by keeping the MAJ key pressed down
  • Using the clipboard. Copy the Button to the clipboard then paste it into the page.

    • See also : The button edition


The button modification

The size of Buttons can be modified by moving one of its trackers up to the desired size.

  • The size of a Button can't be modified if the Button attribute Size to Image is activated

Attributes of a Button may be modified either by :

  • The Shape properties... command

  • Double-clicking on a Button

    •

    Both commands show the Button properties window.

    The Shape Properties... command

    See also : The button edition


The button properties

Button properties may be modified by using the Button Properties window.

This window is made up of five tabs grouping all the button properties:

  • Default image

  • FlyOver image

  • Push down image

  • Legend

  • Effects


The default image properties

The Default Image tab allows you to define entirely the layout of a not activated button.

Image : Defines the image file (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) used by the default button position.
Name : Customizable object name.
Border : Allows to define a border with customized border color.
Translucent : Defines translucency factor of the image. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined either by the top-left color of the image, or by some other arbitrary color by using the Color Choice window, or by picking up a color with the Pick color window.JPEG image files with higher compression level don't work well with transparency color.
Image Properties : Shows the name of the associated image file, its size and the number of colors.
Fit to Image : Makes the button resize to fit the default image.
Push Down Image : Sets the Default Image Properties as the Push Down Image Properties.
Fly Over Image : Sets the Default Image Properties as the Fly Over Image Properties.
 | Shows the image
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice window.
 | Picks up a color from the associated image.
 | Copies an image property.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See Also : Button properties


The fly over image properties

The Fly Over Image tab allows you to define entirely the layout of a button when the mouse fly over the button.

Image : Defines the image file (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) used when the mouse fly over the button.

Name : Customizable object name.

Border : Allows to define a border with customized border color.
Translucent : Defines translucency factor of the image. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined either by the top-left color of the image, or by some other arbitrary color by using the Color Choice window, or by picking up a color with the Pick color window.JPEG image files with higher compression level don't work well with transparency color.
Image Properties : Shows the name of the associated image file, its size and the number of colors.
Fit to Image : Shows if the button resize to fit the default image. This property can only be modified through the Default Image tab.
Default Image : Sets the Fly Over Image Properties as the Default Image Properties.
Push Down Image : Sets the Fly Over Image Properties as the Push Down Image Properties.
 | Shows the image
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice window
 | Picks up a color from the associated image
 | Copies an image property
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See Also : Button Properties


The push down image properties

The Push Down Image tab allows you to define entirely the layout of a button when the user click into the button.
Image : Defines the image file (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) used when the user click into the button.
Name : Customizable object name.
Border : Allows to define a border with customized border color.
Translucent : Defines translucency factor of the image. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined either by the top-left color of the image, or by some other arbitrary color by using the Color Choice window, or by picking up a color with the Pick color window. JPEG image files with higher compression level don't work well with transparency color.
Image Properties : Shows the name of the associated image file, size and the number of colors.
Fit to Image : Shows if the button resize to fit the default image. This property can only be modified through the Default Image tab.
Default Image : Sets the Fly Over Image Properties as the Default Image Properties.
Fly Over Image : Sets the Default Image Properties as the Fly Over Image Properties.
 | Shows the image
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice window
 | Picks up a color from the associated image
 | Copies an image property
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See Also : Button properties


The button legend

The Button Legend tab allows you to define entirely the button's legend layout.

Load text file : Defines the text file (TXT) referred to.
Save text file reference : Allows saving the text file name unlike its contents. If the file name is saved, the contents will be updated when the file changes. If the file content is saved, the legend will behave like a static legend.
Text Edition area : Shows the legend. If a text comes from a text file (TXT), any change in the text will suppress automatically the reference to the file and the legend will become static.
Background Color : Defines the text background color. The background color can be used only with opaque fonts and it fills up completely the button bounding box, even if the legend itself doesn't fill up the button bounding box completely.
Translucent : Defines translucency factor of the legend. Range goes from 0% for total opacity up to 100% for total transparency. JPEG image files with higher compression level don't work well with transparency color.
Angle : Defines the angle under which texts are shown.
Position : Defines the text position relative to the upper left corner of the button bounding box.
Default Text Color : Defines legend text color for Default Button state.
Fly Over Text Color : Defines legend text color for Fly Over Button state.
Push Down Text Color : Defines legend text color for Push Down Button state.
Text Font : Shows the name of the selected font type. The font type may be selected in the Font style window.
Text Style : Shows the font style, e.g. standard, italic, bold or bold italic. Font style may be defined in the Font style window.
Text Size : Shows the font size. Font size may be defined in the Font style window.
Text Underlined : Shows the underline style. Underline style of fonts may be defined in the Font style window.
Strikeout : Shows the strikeout style. Strikeout style may be defined in the Font style window.
Opaque : Shows the background style. Opacity may be defined in the Font style window. The background color fills up completely the button bounding box whenever the font is opaque.
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice system window
 | Shows the Font style window

  • The text background color is used only if the font is opaque. The text background color of opaque fonts will completely fills up the button bounding box.

  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.

  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See Also : Button Properties


The button effects

The Button Effects tab allows you to define entirely the effects and actions that a button can do.

On the Fly Sound : Defines the name of the sound file (WAV, MP3, MID and RMI) which will be played when the mouse cursor flies over the button. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode (default position of the button) yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.
On Action Sound : Defines the name of the sound file (WAV, MP3, MID and RMI) which will be played before the action is started by the button. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode (default position of the button) yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.
Cursor File : Defines the name of the cursor file (CUR) associated to the button. This cursor will remain visible as long as the mouse is flying over the button.
Action : Allows to select one action among 11 actions available : Browse the CD; run a program; execute an Animation; execute an Animated Icon; run a system program; show a file or URL; visit a WEB site; go to next page; go to previous page; go to a named page and Exit (stop running the Autorun.exe ).
File : Shows the file name associated for one of the following actions : Name of the program to be executed; name of the file or URL to be shown; name of the WEB site to be visited or name of the destination page.
ToolTip : Lists all the ToolTips defined for this page which may be associated to the button. A ToolTip can be associated to more than one button.
Launch Time for Toolips : Defines the time in seconds elapsed after the button got active to show the associated ToolTip.
Elapsed Time for ToolTips : Defines the time in seconds the associated ToolTip will remain visible.
 | Assigns sound in either synchronous or asynchronous mode. The asynchronous mode (button off is the default position) yields smoother sequences.
 | Plays the sound
 | Searches for files on the computer
 | Shows the Search for Files window.
  • One single ToolTip may be associated to several buttons.


The tool tip edition

ToolTips are images associated to buttons in order to supply additional information.

A tooltip is made up of:

1) | A name
2) | An image
3) | A legend

See also : The tooltip creation, The tooltip duplication, The tooltip modification , The tooltip deletion , The tooltip properties


The tooltip creation

A ToolTip can be created with the ToolTips command of the Insert menu.

Create ToolTip command

To create a ToolTip the user draws a rectangle (bounding box of the ToolTip).

All attributes of the ToolTip created, are those defined by the selected Theme. The ToolTip can be customized through the ToolTip properties window.

See also : The tooltip edition


The tooltip duplication

ToolTips can be copied by :

  • Making an implicit copy. Move selected ToolTips by keeping the MAJ key pressed down

  • Using the clipboard. Copy the ToolTip to the clipboard then paste it into the page.

    • See also : The tooltip edition


The tooltip modification

The size of ToolTips can be modified by moving one of its trackers to the desired size.

  • The size of a ToolTip can't be modified if the Button attribute Size to Image is activated

Attributes of a ToolTip can be modified either by :

  • The Shape properties... command

  • Double-clicking on a ToolTip

    •

    The Shape Properties... command

    See also : The tooltip edition


The tooltip properties

ToolTip properties may be modified by using the ToolTip Properties window.

This window is made up of two tabs grouping all the ToolTip properties:

  • ToolTip image

  • ToolTip legend


The tooltip image properties

The ToolTip Image tab allows you to define entirely the layout of a ToolTip.

Image : Defines the image file (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF et EMF) used by the ToolTip.
Name : Customizable object name.
Border : Allows to define a border with customized border color.
Translucent : Defines translucency factor for the image. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined either by the top-left color of the image, or by some other arbitrary color by using the Color Choice window, or by picking up a color with the Pick color window. JPEG image files with higher compression level don't work well with transparency color.
Image Properties : Shows the name of the associated image file, size and the number of colors.
Fit to Image : Makes the ToolTip resize to fit the image.
 | Shows the image
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice window.
 | Picks up a color from the associated image.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See also : Tooltips properties


The tooltip legend

The ToolTip Legend tab allows you to define entirely the ToolTip's legend layout.

Load text file : Defines the text file (TXT) referred to.
Save text file reference : Allows saving the text file name unlike its contents. If the file name is saved, the contents will be updated when the file changes. If the file content is saved, the legend will behave like a static legend.
Text Edition area : Shows the legend. If a text comes from a text file (TXT), any change in the text will suppress automatically the reference to the file and the legend will become static.
Background Color : Defines the text background color. The background color can be used only with opaque fonts and it fill up completely the ToolTip bounding box, even if the legend itself doesn't fill up the ToolTip bounding box completely.
Translucent : Defines translucency factor of the legend. Range goes from 0% for total opacity up to 100% for total transparency. JPEG image files with higher compression level don't work well with transparency color.
Angle : Defines the angle under which texts are shown.
Position : Defines the text position relative to the upper left corner of the ToolTip bounding box.
Text Color : Defines the color of the ToolTip legend.
Text Font : Shows the name of the selected font type. The font type may be selected in the Font style window.
Text Style : Shows the font style, e.g. standard, italic, bold or bold italic. Font style may be defined in the Font style window.
Text Size : Shows the font size. Font size may be defined in the Font style window.
Text Underlined : Shows the underline style. Underline style of fonts may be defined in the Font style window.
Text Strikeout : Shows the strikeout style. Strikeout style may be defined in the Font style window.
Text Opaque : Shows the background style. Opacity may be defined in the Font style window. The background color fills up completely the ToolTip bounding box whenever the font is opaque.
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice system window
 | Shows the Font style window

  • The text background color is used only if the font is opaque. The text background color of opaque fonts will completely fill up the ToolTip bounding box.

  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.

  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See also : ToolTip properties


he clipboard

The clipboard

The following type of objects may be put to the clipboard:

  • Pages

  • Regions

  • Geometric Shapes

  • Pictures

  • Texts

  • Buttons

  • Hot Zones

  • ToolTips

  • Animations

  • Animated Icons

    •

    Objects will be sent to the clipboard only under their native format.

    But they will be recovered from the clipboard under the following formats :

    Object | Native format | Bitmap format | Text format
Pages | X |  |
Regions | X |  |
Geometric Shapes | X |  |
Pictures | X | X |
Texts | X |  | X
Buttons | X |  |
Hot Zones | X |  |
ToolTips | X |  |
Animations | X |  |
Animated Icons | X |  |

    See also : The c lipboard of a page , The clipboard of objects


The clipboard of a page

Pages can only be sent to and pasted from the clipboard by using the Workspace and contextual menu.

A page pasted from the clipboard will be inserted immediately after the selected page.

See also : The clipboard


The clipboard of objects

Regions, Geometric Shapes, Pictures, Texts, buttons, Hot Zones and ToolTips may be sent to and recovered from the clipboard by using the following commands:

Cut
Copy
Paste
  • Texts and Pictures may be created directly by pasting texts or bitmap images from the clipboard.

See also : The Clipboard


The selection

CD Magic Launcher allows to select any object.

If an object is selected, the trackers, which mark its characteristic points, are shown.

If several objects should be selected at the same time, the last object selected is called the dominant object and its trackers are drawn in white. Trackers of all other selected objects are drawn in black.

The dominant object serves as a model for all other alignment, size and position commands.

CD Magic launcher keeps up a list of all selected objects.

An object can be selected in either two ways :

  • Point Selection
  • Rectangle Selection
    •

    Point Selection

    The way the selection behaves, depends of the type of the selected object and of the current edition mode.

    The image of the selection cursor indicates the current edition mode:

    Region Edition Mode
    Decor Edition Mode
    Button Edition Mode
    Tooltip Edition Mode

    Every time when several objects are present under the selection point, Point Selection mode will be favoured automatically

    In Point Selection Mode CD Magic launcher starts by selecting the first object situated under that very point which matches the current edition mode . If not any object should match the current edition mode , CD Magic launcher selects automatically the first object found under that given point and will adapt the edition mode to the type of object encountered.

    • The point selection on objects allows to trigger the edition mode if not any particular object should have been selected previously (empty selection list).

    Rectangle Selection

    Rectangle Selection requires one fixes the two extremes of the rectangle which make up the selection area. All objects lying entirely within this rectangle will be listed in the selection list.

    Addition Mode

    All objects situated within the rectangle will be added to or deleted from the selection list in either two ways:

             Substitution Mode : Default Mode. The newly encounterd objects replace all the objects of the selection list.
            Differential Mode : By pressing the MAJ key all objects encountered will be either added to the selection list if they were not already in, or on the contrary, those elements encounterd and which were already in, will be deleted from the list.

    All selected objects can be moved, copied, modified, deleted, pasted on the clipboard, or cut and pasted on the clipboard.

    See also : The object moving , The o bject duplication , The object m odification , The object deletion, Copying s elected objects to the clipboard , Cutting selected object to the clipboard


The object moving

Selected objects may be moved by drag and drop the selected objects on the same page.

Selected objects can be moved one pixel by pressing the arrow keys (left, top, right, bottom).

See also : The selection


The object duplication

Selected objects can be copied by drag and drop them on the same page while keeping the MAJ key pressed down.

See also : The selection


The object modification

Any object characteristics may be selected or modified by double-clicking on it or through the Shape properties... command.

Both actions show the property window of the selected object.

Shape properties... command

  • Object characteristics can only be be modified one at once.

See also : The selection


Copying selected objects to the clipboard

Selected objects can be copied to the clipboard with the Copy command of the Edit Menu.

Copy command

See also : The selection


Cutting selected object to the clipboard

A selected object can be cutting from its page and sending to the clipboard with the Cut command of the Edit Menu.

Cut command.

See also : The selection


The themes

A theme is a set of parameters that defines a style for a project. Whenever pages, geometrics shapes, pictures, texts, buttons or ToolTips are created, they take all the characteristics of the current theme.

Parameters which may be defined by a theme are:

  • Page layout

  • Page Background

  • Geometric shapes

  • Pictures

  • Text legends

  • Text layouts

  • Button images

  • Button legends

  • Button effects

  • ToolTip legends

  • ToolTip images

  • Regions

    •

    All parameters can be defined by using the Customize ... command of the Options menu. This command shows the Customize default properties window :

    Themes can be deleted, selected or created with the Themes tab.

    • A project isn't attached to a theme. Then a theme can be modified or deleted without damage projects created previously with that theme.
    See also : The page layout of a theme , The p age background of a theme , The geometric shapes of a theme , The pictures of a theme , The text legends of a t heme , The text c olors of a theme , The b utton images of a theme , The b utton legends of a theme , The b utton effects of a theme , The t ooltip legends of a theme , The t ooltip images of a theme , The r egions of a theme


The page layout of a theme

The Page Layout tab allows defining the page layout parameters at page creation.

Typical Style : Assigns a standard style to pages (just like a Windows frame). If activated, it's possible to define the Layout of the window (title bar and borders).
Region Style : Assigns a customized style to the page. When activated, both positive and negative geometrical Regions can be defined to make up the window shape.
Size to Image : Makes the page resize to fit the background image. The background image is defined in the Background page properties window.
Start Sound : Defines the name of the sound file (WAV, MID, MP3 and RMI) which will be played when opening the page. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode (default position of the button) yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.
End Sound : Defines the name of the sound file (WAV, MID, MP3 and RMI) which will be played when leaving the page. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode (default position of the button) yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.
Cursor File : Defines the default cursor file name (CUR) for the page. This cursor will be used throughout the whole lifetime of the page, except when the cursor will be flying over some button or hot zone which has its own defined cursor.
 | Defines synchronous or asynchronous mode for WAV sound files. Asynchronous mode (default position of the button) yields smoother sequences.
 | Plays the sound
 | Searches for files on the computer.
 | Shows the Search for Files window..

See also : The themes


The page background of a theme

The Page B ackground tab allows defining the initial page background parameters at page creation.

Image : Defines the image file (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) used as background for new pages.
Color 1 : First color for color gradient.
Color 2 : Second color for color gradient.
Quality : Sets the number of intermediate steps used for color gradient. Higher is this number, better is the color gradient, but this may significantly slow down the Autorun.exe.
Linear Color Propagation : Selects color propagation following a line.
Circular Color Propagation : Selects color propagation following a circle.
First Color Position : Defines the starting point position for color propagation as percent of page size.
Light : Defines the first color luminosity.
Angle : Defines the angle propagation.
Preview : Shows color results. Allows also defining the starting point position.
 | Shows the image.
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice window.

see also : The themes


The geometric shapes of a theme

Graphical characteristics of Geometric Shapes can be defined by using the Graphics tab.

Geometric shapes are those elements which will be placed over the background image of a page to get it more attractive.

Border Color : Allows setting the border color.
Border : Allows to define a border with customized border color.
Corner Radius : Allows to Define the corner radius in pixels, for rectangles with rounded corners.
Translucent : Defines translucency factor for the shape. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined by using the Color Choice window, or by picking up a color from the background image with the Pick color window. JPEG image files with higher compression level don't work well with transparency color.
Background Color 1: First color for color gradient.
Background Color 2: Second color for color gradient.
Quality : Sets the number of intermediate steps used for color gradient. Higher is this number, better is the color gradient, but this may significantly slow down the Autorun.exe.
Linear Color Propagation : Selects color propagation following a line.
Circular Color Propagation : Selects color propagation following a circle.
First Color Position : Defines the starting point position for color propagation as percent of the Geometric Shape bounding box size.
Light : Defines the first color luminosity.
Angle : Defines the angle propagation.
Preview : Shows color results. Allows also defining the starting point position.
Shows the Color Choice window.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See also : The themes


The pictures of a theme

Default characteristics for pictures of a theme may be defined by using the Pictures tab.

Border Color : Allows setting the border color.
Border :Allows to define a border with customized border color.
Translucent : Defines the degree of translucency for the associated image (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF). Range goes from 0% for total opacity up to 100% for full transparency. JPEG image files with higher compression level don't work well with transparency color.
Apply only to transparent color :Allows to apply translucency to transparency color only.
Transparency Color: Allows defining a transparency color. Transparency color is either the top-left corner color of the image attached or a color freely defined through the Color Choice window.
Shows the Color Choice window.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See also : The themes


The text legend of a theme

The Text Legends of a Theme tab allows defining the initial text legend parameters at text creation.

Texts are those elements which will be placed over the background image of a page to get it more expressive.

Text Edition area : Shows the legend. If a text comes from a text file (TXT), any change in the text will suppress automatically the reference to the file and the legend will become static.
Angle : Defines the angle under which texts are shown.
Position : Defines the text position relative to the upper left corner of the Text bounding box.
Background Color : Defines the text background color. The background color can be used only with opaque fonts and it fill up completely the Text bounding box, even if the legend itself doesn't fill up the Text bounding box completely.
Text Font : Shows the name of the selected font type. The font type may be selected in the Font style window.
Text Style : Shows the font style, e.g. standard, italic, bold or bold italic. Font style may be defined in the Font style window.
Text Size : Shows the font size. Font size may be defined in the Font style window.
Text Underlined : Shows the underline style. Underline style of fonts may be defined in the Font style window.
Text Strikeout : Shows the strikeout style. Strikeout style may be defined in the Font style window.
Text Opaque : Shows the background style. Opacity may be defined in the Font style window. The background color fills up completely the Text bounding box whenever the font is opaque.
 | Shows the Color Choice system window
 | Shows the Font style window

  • The text background color is used only if the font is opaque. The text background color of opaque fonts will completely fill up the Text bounding box.

  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.

See also : The themes


The text color of a theme

The Text Colors of a Theme tab allows defining the initial text color parameters at text creation.

Texts are those elements which will be placed over the background image of a page to get it more expressive.

Border Color : Allows setting the border color.
Border : Allows to define a border with customized border color.
Corner Radius : Deactivated for this tab.
Translucent : Defines translucency factor for texts. Range goes from 0% for total opacity up to 100% for total transparency.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Transparency Color : Allows to define a transparency color. Transparency color may be defined by using the Color Choice window, or by picking up a color from the background image with the Pick color window.
Background Color 1: First color for color gradient.
Background Color 2: Second color for color gradient.
Quality : Sets the number of intermediate steps used for color gradient. Higher is this number, better is the color gradient, but this may significantly slow down the Autorun.exe.
Linear Color Propagation : Selects color propagation following a line.
Circular Color Propagation : Selects color propagation following a circle.
First Color Position : Defines the starting point position for color propagation as percent of the Text bounding box size.
Light : Defines the first color luminosity.
Angle : Defines the angle propagation.
Preview : Shows color results. Allows also defining the starting point position.
Shows the Color Choice window.

  • Translucency and color degradation apply only to texts and not to text background.
  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.
    •

See also : The themes


The button images of a theme

Main default characteristics for button images are defined in the Button Image tab.

Buttons are elements which enable to perform actions on a page.

Border Color : Allows setting the border color.
Border : Allows to define a border with customized border color.
Transparent: Allows defining a transparency color. Transparency color is either the top-left corner color of the image attached or a color freely defined through the Color Choice window.
Default Image Translucency : Defines translucency degree to Default image. Translucency degree can only be applied to Default image.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Fly Over Image Translucency : Defines translucency degree to Fly Over image.
Push Down Image Translucency : Defines translucency degree to Push Down image.
Shows the Color Choice window.

See also : The themes


The button legend of a theme

Main default characteristics for button legends are defined by using the Button Legends tab.

Buttons are elements which enable to perform actions on a page.

Text Edition Zone : Zone for editing the legends which will be used to create buttons.
Angle : Defines the angle under which texts are shown.
Position : Defines the text position relative to the upper left corner of the button bounding box.
Legend Color at Default Position : Defines the text color for buttons at default position.
Legend Color at Fly Over Position : Defines the text color for buttons at fly over position.
Legend Color at Push Down Position : Defines the text color for buttons at push down position.
Background Color : Defines the text background color. The background color can only be used with opaque fonts and it fills up completely the button bounding box, even if the legend itself doesn't fill up the button bounding box completely.
Text Font : Shows the name of the selected font type. The font type may be selected in the Font style window.
Text Style : Shows the font style, e.g. standard, italic, bold or bold italic. Font style may be defined in the Font style window.
Text Size : Shows the font size. Font size may be defined in the Font style window.
Text Underlined : Shows the underline style. Underline style of fonts may be defined in the Font style window.
Strikeout : Shows the strikeout style. Strikeout style may be defined in the Font style window.
Opaque : Shows the background style. Opacity may be defined in the Font style window. The background color fills up completely the button bounding box whenever the font is opaque.
 | Shows the Color Choice system window
 | Shows the Font style window

  • The text background color is used only if the font is opaque. The text background color of opaque fonts will completely fills up the button bounding box.

  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.

See also : The themes


The button effects of a theme

The Button Effects tab defines all default parameters for buttons effects.

On the Fly Sound : Defines the name of the sound file (WAV, MP3, MID and RMI) which will be played when the mouse cursor flies over the button. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode (default position of the button) yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.
On Action Sound : Defines the name of the sound file (WAV, MP3, MID and RMI) which will be played before the action is started by the button. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode (default position of the button) yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.
Cursor File : Defines the name of the cursor file (CUR) associated to the button. This cursor will remain visible as long as the mouse is flying over the button.
Time Before Launch TooTip : Defines the time in seconds elapsed after the button got active to show the associated ToolTip.
Duration Time for ToolTips : Defines the time in seconds the associated ToolTip will remain visible.
 | Defines synchronous or asynchronous mode for WAV sound files. Asynchronous mode (default position of the button) yields smoother sequences.
 | Plays the sound
 | Searches for files on the computer
 | Shows the Search for Files window.

  • Buttons remain activated as long as no other button is activated, even if the cursor has left its surface. Thus, once a button is activated, the cursor may fly over its surface repeatedly but the fly over sound will be played only once while no other button will be activated.

See also : The themes


The tooltip legend of a theme

Main default characteristics for ToolTip legends are defined by using the ToolTip Legends tab.
Text Edition Zone : Zone for editing the legends which will be used to create ToolTips.
Angle : Defines the angle under which texts are shown.
Position : Defines the text position relative to the upper left corner of the ToolTip bounding box.
Background Color : Defines the text background color. The background color can only be used with opaque fonts and it fills up completely the ToolTip bounding box, even if the legend itself doesn't fill up the ToolTip bounding box completely.
Text Color : Defines the text color.
Text Font : Shows the name of the selected font type. The font type may be selected in the Font style window.
Font Style : Shows the font style, e.g. standard, italic, bold or bold italic. Font style may be defined in the Font style window.
Font Size : Shows the font size. Font size may be defined in the Font style window.
Font Underlined : Shows the underline style. Underline style of fonts may be defined in the Font style window.
Font Strikeout : Shows the strikeout style. Strikeout style may be defined in the Font style window.
Opaque : Shows the background style. Opacity may be defined in the Font style window. The background color fills up completely the ToolTip bounding box whenever the font is opaque.
Shows the Color Choice system window.
Shows the Font style window

  • The text background color is used only if the font is opaque. The text background color of opaque fonts will completely fills up the ToolTip bounding box.

  • The font types are not integrated into the project. The user has to make sure that the font chosen or a similar one is present on the target computer. If this should not be the case, the Font manager will choose a font available that most closely resembles the requested font.

See also : The themes


The tooltip image of a theme

Main default characteristics for ToolTip images are defined in the ToolTip Image tab.

ToolTips are images associated to a button that may give additional information about it.

Border Color : Allows setting the border color..
Border : Allows to define a border with customized border color.
Transparency Color: Allows defining a transparency color. Transparency color is either the top-left corner color of the image attached or a color freely defined through the Color Choice window. JPEG image files with higher compression level don't work well with transparency color.
Translucent : Defines translucency degree to ToolTip image. Range goes from 0% for total opacity up to 100%for total transparency. Eventually, translucency may be limited to the transparency color only.
Apply only to transparent color : Allows to apply translucency to transparency color only.
Shows the Color Choice system window.
  • Information is lost in the compression JPEG process. JPEG image files with higher compression level don't work well with transparency color.

See also : The themes


The regions of a theme

Default parameters for regions are defined by using the Regions tab.

Regions are geometrical shapes, i.e. rectangles, rounded rectangles, ellipses, circles and polygons, which serve to make up the final form of a customized page.

Positive Region Color : Allows setting the color for positive regions.
Positive Region Border : Allows to assign eventually a border to positive regions.
Rectangle Corner Radius : Allows setting the corner radius in pixels, for positive rectangular regions with rounded corners.
Positive Region Background : Allows setting the background color of positive regions.
Translucency of Positive Regions : Defines the translucency degree for positive regions. Range goes from 0% for total opacity up to 100% for total transparency.
Negative Region Color : Allows setting the color for negative regions.
Negative Region Border : Allows to assign eventually a border to negative regions.
Rectangle Corner Radius : Allows setting the corner radius in pixels, for negative rectangular regions with rounded corners.
Negative Region Background : Allows setting the background color of negative regions.
Translucency of Negative Regions : Defines the translucency degree for negative regions. Range goes from 0% for total opacity up to 100% for total transparency.
Shows the Color Choice window.

  • Positive and negative regions are objects with unique representation. I.e. for any of them, there exists only one definition in the whole project or even, in the whole software program. Any modification of any region may modify all regions of the same type and even, all regions of all projects.

See also : The themes


The regions

In standard applications window size always determines the page size. Moreover, a standard page is always rectangular.

CD Magic Launcher allows creating pages of any form or even create composite ones.

To have a composite page, you only need to create a Page in Region mode. Regions are geometrical objects intended to modify the form of a page.

Regions may be either of the positive or the negative type. Positive regions will add an area to the page; negative regions remove a part of it.

Regions are combined to render the definitive shape. To obtain the definitive region the next 4 rules are followed :

1. | In no region has been defined, the current window size is considered to be one single rectangular positive region.
2. | If the first defined region is positive, it will become the current region instead of the rectangular edition window.
3. | If the first defined region is negative, it will be removed from the rectangular edition window and the result form becomes the new current region.
4. | All new regions will be added or removed depending upon the region type.

The region order is of basic importance. Modifying region order with the Region order window will generate other forms.

The Outer polygon command allows creating one polygonal region that contains all the pixels of a color from the background image.

The Region will be obtained by propagating the color of a starting point in all directions up to where another color is found. All internal polygons of another color will be ignored. A Propagation filter allows to increase or decrease color propagation.

The Outer polygon command generates a polygon with the same color as the starting point color and ignores the border (which has another color).

Background image | External Polygon created by the Outer polygon command | Window shown by Autorun.exe

  • The polygonal region creates with the Outer polygon command doesn't include pixels bordering the propagation color.

The Inner polygons command allows creating all polygonal regions that contain all the pixels of another color, inside the polygon that contains all the pixels of a same color from the background image.

Regions are obtained by propagating the color of a starting point in all directions to that it will meet some other color. Polygons created this way only contain those pixels different from the starting color and lying inside of the original shape. A Propagation filter allows to increase or decrease color propagation.

The Inner polygons command generates all polygons inside the starting color.

Background image | Internal polygons created by the Inner polygons command | Window as shown by Autorun.exe

  • The Page shown by Autorun.exe in Region mode, doesn't contain those pixels situated at the right or bottom border of Regions.
  • In order to avoid that pages shown by Autorun.exe in Region mode seem incomplete, the user must either set double right-bottom border either shift the regions one pixel right and one pixel down.


The region order window

The region order can be modified by using the Region Order window.

As we can see, different region order result in a different rendering for a page.

A region placed on top of the list will also have selection priority face all other regions. Region order can also be changed with Top Most, Bottom Most, Top and Bottom commands into the Edition Order menu.

Region Order

Region : Lists all regions for a given page
ID: Identification number for each region shape
Mode : Determines if the region is a positive or negative region.
 | Moves the region one position upwards
 | Moves the region one position downwards

See also : The regions , The button order window


The default properties customization

CD Magic Launcher allows customizing the working environment.

The Customize… command of the Options menu shows a tabbed window that allows creating and choose a theme.

The Directories tab allows defining user directories containing user file resources (texts, images, cursors, etc.).


The user directories

The User Directories tab allows defining the default directories containing projects, images, sounds, text or cursors.

Each time the user request for a resource (images, sounds, texts or cursors) CD Magic Launcher opens the Search for File window placed into the corresponding resource directory.

The user may predefine 5 default directories. These default directories are used for projects, images and icons, sounds, texts and cursors.

If a default directory should not have been predefined, CD Magic Launcher will open the current directory (the last visited directory) instead.

Projects : Allows define the name of the directory under which all projects will be created.

Pictures : Allows define the name of the directory under which the Search for File window will be placed when image files (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) will be searched.

Sounds : Allows define the name of the directory under which the Search for File window will be placed when sound files (WAV, MID, MP3 and RMI) will be searched.
Texts : Allows define the name of the directory under which the Search for File window will be placed when text files (TXT) will be searched.
Cursors : Allows define the name of the directory under which the Search for File window will be placed when cursors files (CUR) will be searched.


Customizing the interface

It's possible to customize the CD Magic Launcher interface. The Customize... command of Tool Bar... submenu of View menu shows a window with several tabs to customize the software interface.

  • Commands

  • ToolBars

  • Menu

  • Options

    •


Customizing commands

The Commands tab allows customizing Menus and ToolBars.

See also : Customizing the interface


Customizing toolbars

ToolBars may be added or suppressed by using the Toolbars tab.

See also : Customizing the interface


Customizing menus

The Menu tab allows customizing menus.

See also : Customizing the interface


Customizing options

The Options tab allows customizing the ToolBar layout :

See also : Customizing the interface


La Commande Edition Infobulle

The Animations Edition command

The Animations command of the Edition Mode submenu of the Edit menu cancels all current commands and puts the current page in Animation editing mode.

In Animation edition mode, the Selection by Point select first the Animations when multiple objects of different types are superposed.


The button edition

The animation edition

Animations are elements of a page which allow animating pictures and animated icons.

An animation is made up of :

1) | A name
2) | A path over which les pictures and animated icons will move
3) | An auto start capability that allows an animation to start automatically when the page is created
4) | A repeat capability that allows the animation repeat indefinitely.
5) | A sound attached and played by each step.
6) | An action among 11 available (Browse the CD; Run a program; Execute an Animation; Execute an Animated Icon; Run a system program; Show a file or URL; Visit a web site; Go to previous page; Go to next page; Go to a named page and Exit),

See also : The Animations properties


The commands

New project

O pen project...

Close project

Save project

Save as ...

Exit

Selection Mode

Cut

Copy

Paste

Undo

Redo

Region edition

Graphic edition

Button edition

ToolTip edition

Animation edition

Animated Icon edition

Positive region

Negative region

Align Left

Align Right

Align Top

Align Bottom

Assign same horizontal size

Assign same vertical size

Assign same size

Top most

Bottom most

Top

Bottom

Edit region and button order...

Object properties

Delete object

Standard toolbar

Object toolbar

Toolbar edition mode

Alignment toolbar

Project tree

Customize toolbar

Show grid

Status bar

Show Regions

Show Graphics

Show Buttons

Show Tooltips

Show Animations

Show Animated Icons

Insert Rectangle command

Insert Rounded Rectangle command

Insert Ellipse command

Insert Circle command

Insert Circle by 3 Points Command

Insert polygon Command

Insert External Single Color Polygon Command

Insert Internal Single Color Polygon Command

Insert Text Command

Insert Rectanglular region

Insert Rounded Rectanglar region

Insert Ellipsoidal region

Insert Circular region

Insert Circlar region by 3 Points

Insert polygonal region

Insert External Single Color Polygonal region

Insert Internal Single Color Polygonal region

Insert Image command

Insert Button command

Insert ToolTip command

Insert Animation command

Insert Animated Icon command

Add Page Command

Test Page Command

Delete Page Command

Page Properties ... Command

Properties ... Command

Test Command

Export Command

Check CD Image ... Command

Customize ... Command

Select Grid ... Command

Active Grid Command

Show Grid Command

Cascade Command

Mosaic Command

Rearrange Icons Command

Close All Pages Command

What About CD Magic Launcher PRO... Command

Help for CD Magic Launcher PRO Command


The regions toolbar

The region ToolBar shows all the commands necessary for creating, modifying and deleting regions.

Create rectangles
Create rounded rectangles
Create ellipse
Create circles This command creates circles with given center and radius.
Create circles with the 3 points
Create polygons
Create outer polygon by color propagation . This command allows determining the biggest possible polygon which contains some given color.
Create inner polygons by color propagation. This command allows determining all polygons that enclose pixels of another color inside the biggest polygon containing some given color.

Assign positive type to selected region
Assign negative type to selected region

See also : The toolbars


The object order submenu

Top most command puts the selected object on the foreground.
Bottom most command puts the selected object on the background
Top command puts the selected object one level higher.
Bottom command puts the selected object one level lower.
Edit region and button order ... command edits the order of button ans regions.

See also : The edition pages view


Grid Submenu

Change grid ... command shows the window for selecting and defining grids.
Active grid command activates the selected grid.
Show grid command shows the current grid.

See also : Page view editor


The insert object submenu

Create a rectangular object region or geometric shape depending upon the current edition mode
Create a rounded rectangular object region or geometric shape depending upon the current edition mode
Create a elliptical object region or geometric shape depending upon the current edition mode
Create a circular object region or geometric shape depending upon the current edition mode
Create a circular object region or geometric shape by the 3 point method depending upon the current edition mode
Create a polygonal object region or geometric shape depending upon the current edition mode
Create a polygonal object by color propagation mode . The created object can be a region or a geometric shape.
Create polygonal objects by color propagation mode . The created object can be a region or a geometric shape.
Create a text
Create a picture


The insert object submenu

Create a rectangular region
Create a rounded rectangular region
Create a elliptical region
Create a circular region
Create a circular region
Create a polygonal region
Create a polygonal region by color propagation mode .
Create polygonal region by color propagation mode .


Les Commandes

La Commande Nouveau Projet

La commande Nouveau du menu Fichier crée un nouveau projet.

La Commande Ouvrir Projet…

La commande Ouvrir… du menu Fichier ouvre un projet (fichier CML) existant.

La Commande Fermer Projet

La commande Fermer du menu Fichier ferme le projet en cours d'édition. CD Magic launcher demande à l'utilisateur de sauvegarder le projet s'il a été modifié depuis la dernière sauvegarde.

La Commande Enregistrer Projet

La commande Enregistrer du menu Fichier enregistre les dernières modifications du projet.

La Commande Enregistrer Projet Sous…

La commande Enregistrer Sous… du menu Fichier permet d'enregistrer le projet sous un autre nom..

La Commande Quitter

La commande Quitter du menu Fichier ferme l'application et demande à l'utilisateur de sauvegarder le projet s'il a été modifié depuis la dernière sauvegarde.

La Commande Assigne Mode Sélection

La commande Mode Sélection du menu Edition annule toute commande en cours et place le curseur en mode sélection de type d'objet selon le mode d'édition courant.

La Commande Couper

La commande Couper du menu Edition copie les objets sélectionnés vers le presse-papiers et supprime les objets sélectionnés.

La Commande Copier

La commande Copier du menu Edition copie les objets sélectionnés vers le presse-papiers.

La Commande Coller

La commande Coller du menu Edition copie les objets déposés dans le presse-papiers vers la page active.

La Commande Edition Région

La commande Région du sous menu Mode Edition du menu Edition annule toute commande en cours et passe la page en mode d'édition de régions.

La Commande Edition Graphique

La commande Graphique du sous menu Mode Edition du menu Edition annule toute commande en cours et passe la page en mode d'édition de décors.

La Commande Edition Bouton

La commande Bouton du sous menu Mode Edition du menu Edition annule toute commande en cours et passe la page en mode d'édition de boutons.

La Commande Edition Infobulle

La commande Infobulle du sous menu Mode Edition du menu Edition annule toute commande en cours et passe la page active en mode d'édition d'infobulles.

La Commande Type de Région Positive

La commande Région Positive du sous menu Type de Région du menu Edition rend de type positif (morceau de page visible), toutes les régions sélectionnées. Si aucune région n'est sélectionnée, assigne par défaut la création de régions positives sur la page active.

La Commande Type de Région Négative

La commande Région Négative du sous menu Type de Région du menu Edition rend de type négatif (morceau de page invisible), toutes les régions sélectionnées. Si aucune région n'est sélectionnée, assigne par défaut la création de régions négatives sur la page active.

La Commande Aligner à Gauche

La commande Gauche du sous menu Aligner du menu Edition aligne les objets sélectionnés sur le bord gauche de l'objet dominant.

La Commande Aligner à Droite

La commande Droit du sous menu Aligner du menu Edition aligne les objets sélectionnés sur le bord droit de l'objet dominant.

La Commande Aligner sur le Bord Supérieur

La commande Supérieur du sous menu Aligner du menu Edition aligne les objets sélectionnés sur le bord supérieur de l'objet dominant.

La Commande Aligner sur le Bord Inférieur

La commande Inférieur du sous menu Aligner du menu Edition aligne les objets sélectionnés sur le bord inférieur de l'objet dominant.

La Commande Assigne Même Taille Horizontale

La commande Horizontale du sous menu Assigne même taille du menu Edition assigne aux objets sélectionnés la même largeur que celle de l'objet dominant.

La Commande Assigne Même Taille Verticale

La commande Verticale du sous menu Assigne même taille du menu Edition assigne aux objets sélectionnés la même hauteur que celle de l'objet dominant.

La Commande Assigne Même Taille

La commande Même Taille du sous menu Assigne même taille du menu Edition assigne aux objets sélectionnés la même taille que celle de l'objet dominant.

La Commande Mettre Objets au Premier Plan

La commande Mettre au Premier Plan du sous menu Ordre du menu Edition met les objets sélectionnés au premier plan.

La Commande Mettre Objets en Arrière-plan

La commande Mettre en Arrière-plan du sous menu Ordre du menu Edition met les objets sélectionnés en arrière-plan.

La Commande Avancer Objets

La commande Avancer du sous menu Ordre du menu Edition fait avancer les objets sélectionnés.

La Commande Reculer Objets

La commande Reculer du sous menu Ordre du menu Edition fait reculer les objets sélectionnés.

La Commande Modifie l'Ordre des Objets et des Régions…

La commande Modifie l'Ordre des Objets et des régions… du sous menu Ordre du menu Edition affiche la fenêtre qui permet de modifier l'ordre des régions et des boutons.

La Commande Propriétés de l'Objet

La commande Propriétés de l'Objet du menu Edition affiche la fenêtre de modification de l'objet sélectionné. La fenêtre affichée est dépendant du type d'objet sélectionné : région, décor, bouton ou infobulle.

La Commande Supprime Objet

La commande Supprime Objet du menu Edition supprime les objets sélectionnés.

La Commande Barre d'Outil Standard

La commande Standard du sous menu Barre d'Outil du menu Affichage affiche la barre d'outils Standard.

La Commande Barre d'Outil Objets

La commande Objets du sous menu Barre d'Outil du menu Affichage affiche la barre d'outils Objets.

La Commande Barre d'Outil Mode Edition

La commande Mode Edition du sous menu Barre d'Outil du menu Affichage affiche la barre d'outils Mode Edition.

La Commande Barre d'Outil Alignement

La commande Alignement du sous menu Barre d'Outil du menu Affichage affiche la barre d'outils Alignement.

La Commande Affiche Arbre du Projet

La commande Arbre du Projet du sous menu Barre d'Outil du menu Affichage affiche la fenêtre de l'arborescence du projet.

La Commande Personnaliser Affichage…

La commande Personnaliser… du sous menu Barre d'Outil du menu Affichage affiche la fenêtre qui permet de personnaliser les barres d'outils et l'aspect de l'interface.

La Commande Affichage Grille

La commande Grille du menu Affichage affiche ou masque la grille de positionnement des objets.

La Commande Affichage Barre d'Etat

La commande Barre d'Etat du menu Affichage affiche ou masque la barre d'affichage des événements sur le logiciel.

La Commande Affichage Région

La commande Région du menu Affichage affiche ou masque les objets de type région.

La Commande Affichage Décor

La commande Décor du menu Affichage affiche ou masque les objets de type décor.

La Commande Affichage Bouton

La commande Bouton du menu Affichage affiche ou masque les objets de type bouton.

La Commande Affichage Infobulle

La commande Infobulle du menu Affichage affiche ou masque les objets de type infobulle.

La Commande Insère Rectangle

La commande Rectangle du menu Insérer installe l'outil de création de rectangles. Le rectangle créé peut être de type région ou décor selon le mode d'édition courant.

La Commande Insère Rectangle Arrondi

La commande Rectangle Arrondi du menu Insérer installe l'outil de création de rectangles avec les coins arrondis. Le rectangle créé peut être de type région ou décor selon le mode d'édition courant.

La Commande Insère Ellipse

La commande Ellipse du menu Insérer installe l'outil de création d'ellipses. L'ellipse créé peut être de type région ou décor selon le mode d'édition courant.

La Commande Insère Cercle

La commande Cercle du menu Insérer installe l'outil de création de cercles. Le cercle créé peut être de type région ou décor selon le mode d'édition courant.

La Commande Insère Cercle par 3 Points

La commande Cercle par 3 Points du menu Insérer installe l'outil de création de cercles passant par 3 points. Le cercle créé peut être de type région ou décor selon le mode d'édition courant.

La Commande Insère Polygone

La commande Polygone du menu Insérer installe l'outil de création de polygones. Le polygone créé peut être de type région ou décor selon le mode d'édition courant.

La Commande Insère Polygone Externe à une Couleur

La commande Polygone Externe à une Couleur du menu Insérer installe l'outil de création de polygones par propagation d'une couleur donnée sur l'image de l'arrière-plan de la page active. Le polygone créé peut être de type région ou décor selon le mode d'édition courant.

La Commande Insère Polygones Internes à une Couleur

La commande Polygone Internes à une Couleur du menu Insérer installe l'outil de création de polygones par propagation d'une couleur donnée sur l'image de l'arrière-plan de la page active. Les polygones créés contiennent tous les pixels d'une autre couleur à l'intérieur de la couleur donnée sur l'image d'arrière-plan. Les polygones créés peut être de type région ou décor selon le mode d'édition courant.

La Commande Insère Textes

La commande Textes du menu Insérer installe l'outil de création de décors de type texte.

La Commande Insère Images

La commande Images du menu Insérer installe l'outil de création de décors de type.

La Commande Insère Boutons

La commande Boutons du menu Insérer installe l'outil de création de boutons.

La Commande Insère Infobulles

La commande Infobulles du menu Insérer installe l'outil de création d'infobulles.

La Commande Ajouter Page

La commande Ajouter du menu Page permet de créer une nouvelle page sur le projet actif.

La Commande Tester Page

La commande Tester du menu Page permet de tester la page active.

La Commande Supprimer Page

La commande Supprimer du menu Page permet de supprimer la page active.

La Commande Propriétés de la Page…

La commande Propriétés… du menu Page affiche la fenêtre de modification des propriétés de la page active.

La Commande Propriétés…

La commande Propriétés… du menu Projet affiche la fenêtre de modification des propriétés du projet actif.

La Commande Tester

La commande Tester du menu Projet exécute le programme Autorun.exe avec le projet actif.

La Commande Exporter…

La commande Exporter du menu Projet affiche la fenêtre d'export du projet actif.

La Commande Vérifier Image du CD…

La commande Vérifier Image du CD du menu Projet lance la vérification de l'intégrité du projet.

La Commande Personnaliser…

La commande Personnaliser… du menu Options affiche la fenêtre de paramétrage des options par défaut et des thèmes.

La Commande Sélectionne Grille…

La commande Sélectionne Grille… du menu Options affiche la fenêtre de création, modification et sélection des grilles.

La Commande Active Grille

La commande Active Grille du menu Options active la grille de positionnement des objets.

La Commande Affiche Grille

La commande Affiche Grille du menu Options affiche la grille de positionnement des objets.

La Commande Cascade

La commande Cascade du menu Fenêtre dispose les pages en cascade.

La Commande Mosaïque

La commande Mosaïque du menu Fenêtre dispose les pages sans chevauchement.

La Commande Réorganise Icônes

La commande Réorganise Icônes du menu Fenêtre réorganise les icônes des pages en bas de la fenêtre principale.

La Commande A Propos de CD Magic Launcher…

La commande A Propos de CD Magic Launcher… du menu Aide affiche la fenêtre de présentation du logiciel, de numéro de version et de Copyright.

La Commande Aide sur CD Magic Launcher

La commande Aide sur Magic Launcher du menu Aide invoque l'aide en ligne de CD Magic Launcher.


The texts

Texts are made up of a legend, a font style, an angle, a border, a transparency color and a translucency degree.

The legend of Texts may be either static (directly defined text) or dynamic (text referred to by files). A dynamical legend allows defining a legend that refers directly to an external text file. This allows the user to change the texts without modifying the project.

Text Properties may be shown or modified with the Text properties window. This window can be activated either by double clicking on the Text, or by using the Shape properties… command of the Edit Menu.

The Shape Properties Command of the Edit menu.


Les Propriétés des infobulles

The animation properties

The Animation properties can be modified by using the Animation Property window.

This window is made up of three tabs grouping all the Animation properties:

  • The General Behavior

  • The Animation Pictures

  • The Animation Programming

See also : The Animations


Les Propriétés des infobulles

The animated icon properties

The animated Icons properties can be modified by using the Animated Icon window.

File : ANI file name.
Name : Animated Icon name.
File size : File size in bytes.
Length : Length in milliseconds.
Frames : Frames number.
Automatic : allows to define an Animated Icon that launch automatically when the page is created.
Countdown (ms) : Time between the page creation and the first Animated Icon execution.
Recyclable : Allows to define a recyclable Animated Icon.
Recycle time (ms) : Time between 2 cycles.
Sound : Sound file name attached to.
Action : Allows to select one action among 11 actions available : Browse the CD; run a program; execute an Animation; execute an Animated Icon; run a system program; show a file or URL; visit a WEB site; go to next page; go to previous page; go to a named page and Exit (stop running the Autorun.exe ).
Animations : Shows the file name associated for one of the following actions : Name of the program to be executed; name of the Animation to be executed; name of the Animated Icon to be executed; name of the file or URL to be shown; name of the WEB site to be visited or name of the destination page.
Hide animation : Allows to hide the Animated Icon at the end execution.
Plays the sound
Searches for files on the computer
Shows the Search for Files window.
Delete a sound.
Assigns sound in recycle mode.

See also : The Animated Icons


The object deletion

Locking an object

Selected objects can be locked to avoid selection and then modifications.

See also : The selection


The tool tip image properties

The animation programming

The Animation tab allows you to define for each step, the speed and the sound.

Order : Step number.
Length (ms) : Allows to assign a time in milliseconds for each step.
Sound : Sound file name attached to step. A sound longer than a step overflows the next step. An overflow is represented by 3 dots : ...
Plays the sound
Searches for files on the computer
Shows the Search for Files window.
Delete a sound.
Assigns sound in recycle mode.

See also : Animation properties


The tool tip image properties

The general behavior animation

The General Behavior tab allows you to define the starting and stopping actions of an Animation.

Name: Animation name.
Auto Launch : allows to define an animation that launch automatically when the page is created.
Countdown (ms) : Time between the page creation and the first animation execution.
Recycle : Allows to define a recyclable animation.
Recycle time (ms) : Time between 2 animations.
Color : Animation color at design time.
Launch : Allows to locally test the animation behavior.
Action : Allows to select one action among 11 actions available : Browse the CD; run a program; execute an Animation; execute an Animated Icon; run a system program; show a file or URL; visit a WEB site; go to next page; go to previous page; go to a named page and Exit (stop running the Autorun.exe ).
Page : Shows the file name associated for one of the following actions : Name of the program to be executed; name of the Animation to be executed; name of the Animated Icon to be executed; name of the file or URL to be shown; name of the WEB site to be visited or name of the destination page.
Reset Image : Allows to reset the last animated image, to its original position.
Stop the sound : Stop the last sound played.

See also : Animation properties


The show page properties

The Show tab allows you to define the way the page will be first shown.

Normal Style : Selects immediate presentation of the page (standard Windows style).

Layered Style : Selects smooth transition effects when showing the page. Initially, the page will be perfectly transparent to become gradually, an opaque image.

Default : Set the page at same position as the previous page. Center the first page to screen.
Screen Center : Center the page to screen.
Region Center : Center the page to geometrical center of previous page.

See also : The page properties


 The background page properties

The Background tab allows you to define the properties of the page's background.

Image : Defines the name of the background image file (BMP, DIB, GIF, ICO, JPG, JPEG, PCX, PNG, TGA, TIF, TIFF, WMF and EMF) of the page.
Color 1 : First color for color gradient.
Color 2 : Second color for color gradient.
Quality : Sets the number of intermediate steps used for color gradient. Higher is this number, better is the color gradient, but this may significantly slow down the Autorun.exe.
Linear Color Propagation : Selects color propagation following a line.
Circular Color Propagation : Selects color propagation following a circle.
First Color Position : Defines the starting point position for color propagation as percent of page size.
Light : Defines the first color luminosity.
Angle : Defines the angle propagation.
Preview : Shows color results. Allows also defining the starting point position.
 | Shows the image.
 | Searches for files on the computer.
 | Shows the Search for Files window.
 | Shows the Color Choice window.
  • Color degradation can be eliminated by assigning both colors the same value.

See also : The page properties


The layout page properties

The Layout tab allows you to define the layout of a page.

Project Name : Shows the project name (can't be modified)
Page Title : Shows the page title.
Typical Style : Assigns a standard style to the page (just like a Windows frame). The layout of a window may be defined if this style is activated.
Region Style : Assigns a customized style to the page. Positive and negative geometric regions making up the final shape can be defined only if the Region Style mode is activated.
Size to Image : Makes the page resize to fit the background image. The background image can be defined in the Background tab.
Start Sound : Defines the name of the sound file (WAV, MID, MP3 and RMI) which will be played when opening the page. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode (default position of the button) yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.
End Sound : Defines the name of the sound file (WAV, MID, MP3 and RMI) which will be played when leaving the page. WAV sounds can be played in synchronous and asynchronous mode. Asynchronous mode (default position of the button) yields smoother sequences. MID, MP3 and RMI sounds are played only in asynchronous mode.
Cursor File : Defines the default cursor file name (CUR) for the page. This cursor will be used throughout the whole lifetime of the page, except when the cursor will be flying over some button or hot zone which has its own defined cursor.
 | Defines synchronous or asynchronous mode for WAV sound files. Asynchronous mode (default position of the button) yields smoother sequences.
 | Plays the sound
 | Searches for files on the computer.
 | Shows the Search for Files dialog.
 | Recycle the sound

  • A page with Standard Style can be moved only by its title bar.

  • A page with Region S tyle can be moved by all visible areas and it isn't resizable.

  • An End Sound in asynchronous mode isn't played.

See also : The page properties


The button order window

The Button Order window allows defining the button order.

A button placed on top of the list will have priority face all other buttons. Button order can also be changed with Top Most, Bottom Most, Top and Bottom commands into the Edition Order menu.

Control: List all buttons.
ID : Shows the unique number which identifies a button.
 | Moves the button one position upwards.
 | Moves the button one position downwards.

See also : The region order window


The tool tip image properties

The Animation Pictures

The Animation Pictures tab allows you to attach an image to each interval.

Order : Step number.
Tangency : Allows to define if an image will slide tangentially along the curve defined by the animation.
Picture : Name of the object attached to this step.
Rotation point : Shows the coordinates of the point on the picture that will follow the curve animation.
Rotation center : Allows to define the point on the picture that will follow the curve animation.
Depth : Allows to define, for each step, the depth of each object. An Animation can have a three-dimensional flavor.
Object list : List of objects (Pictures, Animated Icons and Animations) that can be attached to the animation.
 | Animated Icons
 | Pictures
 | Object s already attached

See also : Animation properties


The object deletion

Unlocking all objects

Locked objects can be unlocked by Unlock All Objects command.

See also : The selection


The About CD Magic Launcher…command

The About CD Magic Launcher PRO…command

The About CD Magic Launcher.... command of the Help menu shows the window which display software information, version number and copyright.


The Active Grid command

The Active Grid command of the Options menu activates the grid attraction used for positioning objects.


The Show ToolTips command

The Show Animated Icons command

The Animated Icons command of the View menu shows or hides all Animated Icons from the active page. A hidden object is always shown by Autorun.exe.


The Show ToolTips command

The Show Animations command

The Animations command of the View menu shows or hides all Animations from the active page. A hidden object is always shown by Autorun.exe.


The Status Bar command

The Status Bar command of the View menu shows or hides the status bar.


The Show Buttons command

The Buttons command of the View menu shows or hides all Buttons from the active page. A hidden object is always shown by Autorun.exe.


The Show Graphics command

The Graphics command of the View menu shows or hides all graphic objects (Geometric Shapes, Pictures and Texts) from the active page. A hidden object is always shown by Autorun.exe.


The Show Grid command

The Show Grid command of the Options menu shows the grid used for positioning objects.


The Show ToolTips command

The Tooltips command of the View menu shows or hides all ToolTips from the active page. A hidden object is always shown by Autorun.exe.


The Show Regions command

The Regions command of the View menu shows or hides all Regions from the active page.


The CD Magic Launcher Help command

The Magic Launcher Help command of the Help menu activates help on line of CD Magic Launcher Editor.


The Add Page command

The Add command of the Page menu adds a new page to the active project.

See also : The workspace contextual menus


The Align Right command

The Right command of the Align submenu of the Edit menu aligns all selected objects at the right side of the dominant object.


The Align Left command

The Left command of the Align submenu of the Edit menu aligns all selected objects at the left side of the dominant object.


Align Bottom command

The Align Bottom command of the Align submenu of the Edit menu aligns all selected objects at the bottom of the dominant object.


Align Top command

The Align Top command of the Align submenu of the Edit menu aligns all selected objects at the top of the dominant object.


Project Tree command

The Workspace command of the ToolBar submenu of the View menu shows the Project Tree window.


Assign Selection Mode command

The Selection Mode command of the Edit menu cancels all current commands and puts the cursor in selection mode according to the current mode edition (Region, Decor, Button and ToolTip).


Top command

The Top command of the Order submenu of the Edit menu puts selected objects one level to foreground.


Alignment ToolBar command

The Align command of the ToolBar submenu of the View menu shows the Alignment ToolBar.


Toolbar Edition Mode command

The Edition Mode command of the ToolBar submenu of the View menu shows the Edition Mode ToolBar.


The Objects ToolBar command

The Objects command of the ToolBar submenu of the View menu shows the Objects ToolBar.


The Standard ToolBar command

The Standard command of the ToolBar submenu of the View menu shows the Standard ToolBar.


The Cascade command

The Cascade command of the Window menu arranges the pages as overlapped tiles.


The Arrange Icons command

The Close All Pages command

The Close All Pages command of the Window menu closes all the pages open.


The Paste command

The Paste command of the Edit menu copies all selected objects from the clipboard to the active Page.


The Copy command

The Copy command of the Edit menu copies all selected objects to the clipboard.


The Cut command

The Cut command of the Edit menu copies all selected objects to the clipboard and deletes it.


The ToolTip Edition command

The ToolTips command of the Edition Mode submenu of the Edit menu cancels all current commands and puts the current page in ToolTip editing mode.

In tooltips edition mode, the Selection by Point tool favours the tooltips when multiple objects of different types are superposed.


The Button Edition command

The Buttons command of the Edition Mode submenu of the Edit menu cancels all current commands and puts the current page in button editing mode.

In button edition mode, the Selection by Point tool favours the buttons when multiple objects of different types are superposed.


The Region Edition command

The Region command of the submenu Edition Mode of the Edit menu cancels all current commands and puts the current page in region editing mode.

In region edition mode, the Selection by Point tool favours the region when multiple objects of different types are superposed.


The Graphic Edition command

The Graphics command of the Edition Mode submenu of the Edit menu cancels all current commands and puts the current page in Graphics Editing Mode.

In graphics edition mode, the Selection by Point tool favours the graphics when multiple objects of different types are superposed.


La Commande Edition Infobulle

The Animated Icons Edition command

The Animated Icons command of the Edition Mode submenu of the Edit menu cancels all current commands and puts the current page in Animated Icons editing mode.

In Animated Icon edition mode, the Selection by Point select first the Animated Icons when multiple objects of different types are superposed.


The Save Project command

The Save command of the File menu saves all modifications of the active project.


The Save As... command

The Save As… of command the File menu allows saving the project under a different name.


The Export ... command

The Export... command of the Project menu shows the export project window for the active page.


The Close Project command

The Close command of the File menu closes the active project. Every time the project has been modified, CD Magic launcher will systematically ask the user if he wishes to save the project modifications.


Insert Tooltip command

Insert Animated Icon command

The Animated Icon command of the Insert menu starts the Animated Icons creation.

This command stop any current command and switch the page to Animated Icon Edition Mode.


Insert Tooltip command

Insert Animation command

The Animations command of the Insert menu starts the Animations creation.

This command stop any current command and switch the page to Animation Edition Mode.


The Insert Buttons command

The Button command of the Insert menu starts the Button creation.

This command stop any current command and switch the page to Button Edition Mode.


Insert Circle command

The Circle command of the Insert menu starts the creation of circular decors.


Insert Circle by 3 Points command

The Circle by 3 Points command of the Insert menu starts the creation of circular decor by 3 Points.


Insert Ellipse command

The Ellipse command of the Insert menu starts the creation of ellipses as decors.


Insert Pictures command

The Pictures command of the Insert menu starts the Pictures creation.

This command stop any current command and switch the page to Graphics Edition Mode.


Insert Tooltip command

The ToolTips command of the Insert menu starts the ToolTips creation.

This command stop any current command and switch the page to ToolTips Edition Mode.


Insert Polygon command

The Polygon command of the Insert menu starts the creation of Polygonal decors .


Insert Rounded Rectangle command

The Round Rectangle command of the Insert menu starts the creation of rounded rectangular decor .


Insert Circle command

Insert Circle Region command

The Circle Region command of the Insert menu starts the creation of circular regions.


Nouvelle page 5

Insert Circle by 3 Points Region command

The Circle by 3 Points Region command of the Insert menu starts the creation of Circlar region by 3 Points regions.


Nouvelle page 4

Insert Ellipse Region command

The Ellipse Region command of the Insert menu starts the creation of Ellipsoidal regions.


La Commande Insère Polygone

Insert Polygon Region command

The Polygon Region command of the Insert menu starts the creation of Polygonal regions.


La Commande Insère Rectangle

Insert Rectangle Region command

The Rectangle Region command of the Insert menu starts the creation of rectangular regions.


Insert Texts command

The Texts command of the Insert menu starts the Texts creation.

This command stop any current command and switch the page to Graphics Edition Mode.


Insert Rectangle command

The Rectangle command of the Insert menu starts the creation of rectangular decors.


La Commande Insère Rectangle

Insert Rounded Rectangle Region command

The Round Rectangle Region command of the Insert menu starts the Rounded Rectangle region creation.


The Assign The Same Size command

The Both command of the Make Same Size submenu of the Edit menu assigns all selected objects the same size as the dominant object.


The Assign Same Horizontal Size command

The Horizontal command of the Make Same Size submenu of the Edit menu assigns all selected objects the same width as the dominant object.


The Assign Same Vertical Size command

The Vertical command of the Make Same Size submenu of the Edit menu assigns all selected objects the same height as the dominant object.


The Top Most command

The Top Most command of the Order submenu of the Edit menu puts the selected object to foreground.


The Bottom Most command

The Bottom Must command of the Order submenu of the Edit menu puts the selected object to background.


The Tail command

The Tail command of the Window menu arranges the pages as nonoverlapping tiles.


The New Project command

The New command of the File menu creates a new CDML project.


The Edit Region and Button Order… command

The Edit Region and Button Order... command of the Order submenu of the Edit menu shows the window which allows modifying the level order of Regions and Buttons.


The Open... Project command

The Open… command of the File menu opens an existing project (.CML file).


The Customize ... command

The Customize... command of the Options menu shows the window which allows changing default values for options and themes.


The Customize ToolBar ... command

The Customize... command of the ToolBar submenu of the View menu shows the window which allows customizing toolbars and interface layout.


The Insert Outer Polygon command

The Outer Polygon command of the Insert menu starts a polygon creation. The polygon is created by propagating a color from the background image.

The Outer Polygon command allows creating a polygon that contains all the pixels of a color from the background image.

See also : The geometric shapes


Insert Internal Single Color Polygon command

The Inner Polygons command of the Insert menu starts a multiple polygon creation. The polygons are created by propagating a color from the background image.

The Inner Polygons command allows creating all polygons that contain all the pixels of another color, inside the polygon that contains all the pixels of a same color from the background image.

See also : The geometric shapes


The Properties... command

The Properties... command of the Project menu shows the window which allows modifying the properties of the active page.


The Object Properties command

The Object Properties command of the Edit menu shows the window that allows modifying properties of a select object. You can modify only an object at once.

The window shown depends on the object type (Region, Graphic object, Picture, Text, Button, Tooltip, Animation or Animated Icon).


The Page Properties ... ; command

The Properties... command of the Page menu shows the window which allows modifying the properties of the active page.


The Exit command

The Exit command of the File menu closes the current application and prompts the user to save projects.


The Bottom command

The Bottom command of the Order submenu of the Edit menu puts selected objects one level to background.


The Redo command

The Redo command of the Edit menu redoes the previously undone action over active page or active project.


The Negative Region Type command

The Negative Region command of the Type of Region submenu of the Edit menu sets all selected regions to negative type. If no region is selected, it assigns the Region type by default. A new region is created having the default Region type.


La Commande Insère Polygone Externe à une Couleur

The Insert Outer Polygon Region command

The Outer Polygon Region command of the Insert menu starts the creation of polygonal regions. The polygon is created by propagating a color from the background image.

The Outer Polygon Region command allows creating a polygon that contains all the pixels of a color from the background image.


La Commande Insère Polygones Internes à une Couleur

Insert Internal Single Color Polygon Region command

The Inner Polygons Region command of the Insert menu starts a multiple polygon creation. The polygons are created by propagating a color from the background image.

The Inner Polygons Region command allows creating all polygons that contain all the pixels of another color, inside the polygon that contains all the pixels of a same color from the background image.


Positive Region Type command

The Positive Region command of the Type of Region submenu of the Edit menu sets all selected regions to positive type. If no region is selected, it assigns the Region type by default. A new region is created having the default Region type.


The Arrange Icons command

The Arrange Icons command of the Window menu arranges all the minimized (iconic) pages at the down side of the main window.


The Change Grid ... command

The Change Grid... command of the Options menu shows the window which allows creating, modifying and selecting Grids.


The Delete Object command

The Delete Object command of the Edit menu deletes all selected objects.


The Delete Page command

The Delete command of the Page menu deletes the active page.

See Also : The workspace contextual menus


Test Page command

The Test... command of the Page menu executes the Autorun.exe program with the active project at the active page.


The Test command

The Test command of the Project menu executes the Autorun.exe program with the active project.


The Undo command

The Undo command of the Edit menu undoes the last action over active page or active project.


The Verify CD image … command

The Verify CD image... command of the Project menu checks the integrity of the project.

See also : The project verification